
/*	Hemant Karkande	September 10, 2015	11:40 PM for defect # S1201326  */

ALTER PROCEDURE [LOAD_PLANNER_DATA_TO_ODS_SP] (@MOM_DB_NAME nvarchar(75))
   
 AS SET NOCOUNT ON

	DECLARE @ODS_DB_NAME NVARCHAR(75),@FISCAL_MONTH NVARCHAR(2), @DB_NAME NVARCHAR(75),
	@MA_TYPE_SEPARATOR NVARCHAR(100),@MA_PATH_SEPARATOR NVARCHAR(100),
	@FISCAL_YEAR BIGINT
	
	SELECT  @FISCAL_MONTH = CONFIGVALUE  FROM ALENT_CONFIGURATION WHERE CONFIGNAME = 'FISCALMONTH'
	
	IF EXISTS (SELECT 1 FROM ALENT_CONFIGURATION WHERE CONFIGNAME = 'ACTIVITYTYPESEPARATOR')
	BEGIN
		SELECT @MA_TYPE_SEPARATOR = CONFIGVALUE FROM ALENT_CONFIGURATION WHERE CONFIGNAME = 'ACTIVITYTYPESEPARATOR'
	END
	ELSE
	BEGIN
		SELECT @MA_TYPE_SEPARATOR = '>>'
	END
	
	IF EXISTS (SELECT 1 FROM ALENT_CONFIGURATION WHERE CONFIGNAME = 'ACTIVITYPATHSEPARATOR')
	BEGIN
		SELECT @MA_PATH_SEPARATOR = CONFIGVALUE FROM ALENT_CONFIGURATION WHERE CONFIGNAME = 'ACTIVITYPATHSEPARATOR'
	END
	ELSE
	BEGIN
		SELECT @MA_PATH_SEPARATOR = '>>'
	END
	
	SELECT @ODS_DB_NAME = @MOM_DB_NAME+'_ODS'
	
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSPLANDETAILS')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMARKETINGACTIVITY')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSINVOICE')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSINVOICELINEITEMS')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCOMMITMENT')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCOMMITMENTLINEITEMS')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSLLMARKETINGACTIVITY')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMADISTRIBUTIONCHANNEL')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMAOBJECTIVES')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMATARGETSEGMENTS')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSPLANOBJECTIVES')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMAPRODUCTINFO')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSBUSINESSUNIT')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCOSTCENTERALLOCATION')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALOM_ODSNAMEDHIERARCHY')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'BU_HIERARCHY')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'MA_HIERARCHY')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALOM_RELATIONSHIPTYPES')
	
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSESTACTUALS')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSESTIMATES')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSESTLINEITEM')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSESTWORKFLOW')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSRATECARD')
		
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_BUDGETS_BY_BU')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_CHANNEL_COSTCATEGORY')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_CHANNEL_BUDGETSNACT')
	
	
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCLAIM')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCLAIM_DA')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSLABEL_CLAIM')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSLABEL_CLAIM_DA')
	
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_RESCAT_ANALYSIS')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_REQALLOC_ANALYSIS')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_ALLOCATION')
	
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSFORECASTINFO')
	
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_TIMESHEETS')
	
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_PLANACCESS')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_ACTIVITYACCESS')
	
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_FORECASTVARIANCE')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_ACTIVITY_OFFER')
	EXEC ('TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_OFFER')
	
	
	
	
	DELETE  FROM ALOM_ASSEMBLY 
	WHERE  
	ALOM_ASSEMBLY.ASSEMBLYID <> (SELECT MIN(A2.ASSEMBLYID) FROM ALOM_ASSEMBLY A2
					WHERE 
					A2.CONTAINERID = ALOM_ASSEMBLY.CONTAINERID AND A2.CONTAINSID = ALOM_ASSEMBLY.CONTAINSID
					AND A2.RELATIONSHIPTYPEID = ALOM_ASSEMBLY.RELATIONSHIPTYPEID
					GROUP BY A2.RELATIONSHIPTYPEID,A2.CONTAINERID,A2.CONTAINSID
					HAVING COUNT(*) > 1)
	
	DELETE  FROM ALOM_ASSOENTITYFACET 
	WHERE  
	ALOM_ASSOENTITYFACET.ASSOCIATIONID <> (SELECT MIN(ASF2.ASSOCIATIONID) FROM ALOM_ASSOENTITYFACET ASF2
					WHERE 
					ASF2.ENTITYID = ALOM_ASSOENTITYFACET.ENTITYID AND ASF2.FACETID = ALOM_ASSOENTITYFACET.FACETID
					AND ASF2.RELATIONSHIPTYPEID = ALOM_ASSOENTITYFACET.RELATIONSHIPTYPEID
					GROUP BY ASF2.RELATIONSHIPTYPEID,ASF2.ENTITYID,ASF2.FACETID
					HAVING COUNT(*) > 1)
				

	EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSBUSINESSUNIT
	(BU_ID,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,BU_LEVEL5_ID,
	BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,
	BU_NAME,BU_DESCRIPTION,BU_REGION,BU_CURRENCY,BU_CREATEDONDATE,QBU_CREATEDONDATE,
	BU_LASTUPDATEDON,QBU_LASTUPDATEDONDATE,BU_LEVEL_NO,BU_PATH,BU_IS_OBSOLETE)
	SELECT 	BU.BUSINESSUNITID AS BUSINESSUNITID,
	0	AS BU_LEVEL1_ID,0	AS BU_LEVEL2_ID,
	0	AS BU_LEVEL3_ID,0	AS BU_LEVEL4_ID,
	0	AS BU_LEVEL5_ID,''''	AS BU_LEVEL1_NAME,
	''''	AS BU_LEVEL2_NAME,''''	AS BU_LEVEL3_NAME,
	''''	AS BU_LEVEL4_NAME,''''	AS BU_LEVEL5_NAME,
	BU.NAME  AS BUSINESSUNITNAME,
	BU.DESCRIPTION  AS BUDESCRIPTION,BU.REGION BUSINESSUNITREGION,
	BU.CURRENCYTYPE  AS BUCURRENCYTYPE,
	BU.CREATEDON  AS BUCREATEDON,
	dbo.ODSGetQuarterOfDate(BU.CREATEDON, '+@FISCAL_MONTH+') AS QBUCREATEDONDATE,
	BU.LASTUPDATEDON  AS BULASTUPDATEDON,
	dbo.ODSGetQuarterOfDate(BU.LASTUPDATEDON, '+@FISCAL_MONTH+')  AS QBULASTUPDATEDONDATE,
	BU.BUSINESSUNITLEVEL  AS BU_LEVEL_NO,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BUSINESSUNITPATH, BU.ISOBSOLETE  AS BU_IS_OBSOLETE
	FROM  ALENT_BUSINESSUNIT BU ')

	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSPLANDETAILS
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,
	BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,
	BU_ID,BU_NAME,BU_DESCRIPTION,BU_REGION,BU_CURRENCY,BU_CREATEDONDATE,QBU_CREATEDONDATE,
	BU_LASTUPDATEDONDATE,QBU_LASTUPDATEDONDATE,BU_LEVEL_NO,BU_PATH,PLAN_DESCRIPTION,
	PLAN_FROMDATE,QPLAN_FROMDATE,PLAN_TODATE,QPLAN_TODATE,PLAN_STATUS,PLAN_CURRENTVERSION,
	PLAN_VERSIONO,PLAN_CURRENCY,PLAN_CREATEDONDATE,QPLAN_CREATEDONDATE,PLAN_LASTUPDATEDONDATE,
	QPLAN_LASTUPDATEDONDATE,P_FS_ID,P_BUDGETEDCURRENCY,P_BUDGETED_AMOUNT,P_PLANNED_CURRENCY,
	P_PLANNED_AMOUNT,P_COMMITTED_CURRENCY,P_COMMITTED_AMOUNT,P_SPENT_CURRENCY,P_SPENT_AMOUNT,
	P_AVAILABLE_CURRENCY,P_AVAILABLE_AMOUNT,P_UNALLOCATED_CURRENCY,P_UNALLOCATED_AMOUNT,
	P_LASTUPDATEDONDATE,QP_LASTUPDATEDONDATE,P_ALLOCATEDTOSPEND_CURRENCY,P_ALLOCATEDTOSPEND_AMOUNT,
	P_ACTUALS_CURRENCY,P_ACTUALS_AMOUNT,P_ALLOCTOSPENDROLLUP_CURRENCY,P_ALLOCTOSPENDROLLUP_AMOUNT,
	P_COMMITTEDROLLUP_CURRENCY,P_COMMITTEDROLLUP_AMOUNT,P_SPENTROLLUP_CURRENCY,P_SPENTROLLUP_AMOUNT,
	P_ACTUALSROLLUP_CURRENCY,P_ACTUALSROLLUP_AMOUNT,P_AVAILABLEROLLUP_CURRENCY,P_AVAILABLEROLLUP_AMOUNT,P_FSDESCRIPTION)
	SELECT
	PLANDETAILS.PLANID AS PLAN_ID,
	PLANDETAILS.TITLE  AS PLAN_TITLE,
	PLANDETAILS.FISCALYEAR   AS FISCALYEAR,
	0	AS BU_LEVEL1_ID,
	0	AS BU_LEVEL2_ID,
	0	AS BU_LEVEL3_ID,
	0	AS BU_LEVEL4_ID,
	0	AS BU_LEVEL5_ID,
	''''	AS BU_LEVEL1_NAME,
	''''	AS BU_LEVEL2_NAME,
	''''	AS BU_LEVEL3_NAME,
	''''	AS BU_LEVEL4_NAME,
	''''	AS BU_LEVEL5_NAME,
	BU.BUSINESSUNITID AS BU_ID,
	BU."NAME"  AS BU_NAME,
	BU.DESCRIPTION  AS BU_DESCRIPTION,
	BU.REGION  AS BU_REGION,
	BU.CURRENCYTYPE   AS BU_CURRENCY,
	BU.CREATEDON    AS BU_CREATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(BU.CREATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(BU.CREATEDON, '+@FISCAL_MONTH+') END AS QBU_CREATEDONDATE,
	BU.LASTUPDATEDON  AS BU_LASTUPDATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(BU.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(BU.LASTUPDATEDON, '+@FISCAL_MONTH+') END  AS QBU_LASTUPDATEDONDATE,
	BU.BUSINESSUNITLEVEL   AS BU_LEVEL,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END   AS BU_PATH,
	PLANDETAILS.DESCRIPTION  AS PLAN_DESCRIPTION,
	PLANDETAILS.FROMDATE   AS PLAN_FROMDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(PLANDETAILS.FROMDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(PLANDETAILS.FROMDATE, '+@FISCAL_MONTH+') END AS QPLAN_FROMDATE,
	PLANDETAILS.TODATE   AS PLAN_TODATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(PLANDETAILS.TODATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(PLANDETAILS.TODATE, '+@FISCAL_MONTH+') END AS QPLAN_TODATE,
	PLANDETAILS."STATUS"   AS PLAN_STATUS,
	PLANDETAILS.CURRENTVERSION   AS PLAN_CURRENTVERSION,
	PLANDETAILS.VERSIONNUMBER  AS PLAN_VERSIONO,
	PLANDETAILS.CURRENCYTYPE   AS PLAN_CURRENCY,
	PLANDETAILS.CREATEDON   AS  PLAN_CREATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(PLANDETAILS.CREATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(PLANDETAILS.CREATEDON, '+@FISCAL_MONTH+') END AS QPLAN_CREATEDONDATE,
	PLANDETAILS.LASTUPDATEDON  AS PLAN_LASTUPDATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(PLANDETAILS.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(PLANDETAILS.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS QPLAN_LASTUPDATEDONDATE,
	PLANFS.FINANCIALSUMMARYID  AS P_FS_ID,
	PLANFS.BUDGETED_C  AS P_BUDGETEDCURRENCY,
	PLANFS.BUDGETED_A  AS P_BUDGETED_AMOUNT,
	PLANFS.PLANNED_C  AS  P_PLANNED_CURRENCY,
	PLANFS.PLANNED_A  AS  P_PLANNED_AMOUNT,
	PLANFS.COMMITTED_C   AS P_COMMITTED_CURRENCY,
	PLANFS.COMMITTED_A   AS P_COMMITTED_AMOUNT,
	PLANFS.SPENT_C  AS P_SPENT_CURRENCY,
	PLANFS.SPENT_A  AS P_SPENT_AMOUNT,
	PLANFS.AVAILABLE_C  AS P_AVAILABLE_CURRENCY,
	PLANFS.AVAILABLE_A  AS P_AVAILABLE_AMOUNT,
	PLANFS.UNALLOCATED_C  AS P_UNALLOCATED_CURRENCY,
	PLANFS.UNALLOCATED_A  AS P_UNALLOCATED_AMOUNT,
	PLANFS.LASTUPDATEDON  AS P_LASTUPDATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(PLANFS.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(PLANFS.LASTUPDATEDON, '+@FISCAL_MONTH+') END  AS QP_LASTUPDATEDONDATE,
	PLANFS.ALLOCATEDTOSPEND_C   AS P_ALLOCATEDTOSPEND_CURRENCY,
	PLANFS.ALLOCATEDTOSPEND_A   AS P_ALLOCATEDTOSPEND_AMOUNT,
	PLANFS.ACTUALS_C  AS P_ACTUALS_CURRENCY,
	PLANFS.ACTUALS_A  AS P_ACTUALS_AMOUNT,
	PLANFS.ALLOCATEDTOSPENDROLLUP_C  ,
	PLANFS.ALLOCATEDTOSPENDROLLUP_A  ,
	PLANFS.COMMITTEDROLLUP_C  AS P_COMMITTEDROLLUP_CURRENCY,
	PLANFS.COMMITTEDROLLUP_A  AS P_COMMITTEDROLLUP_AMOUNT,
	PLANFS.SPENTROLLUP_C   AS P_SPENTROLLUP_CURRENCY,
	PLANFS.SPENTROLLUP_A   AS P_SPENTROLLUP_AMOUNT,
	PLANFS.ACTUALSROLLUP_C  AS P_ACTUALSROLLUP_CURRENCY,
	PLANFS.ACTUALSROLLUP_A  AS P_ACTUALSROLLUP_AMOUNT,
	PLANFS.AVAILABLEROLLUP_C  AS P_AVAILABLEROLLUP_CURRENCY,
	PLANFS.AVAILABLEROLLUP_A  AS P_AVAILABLEROLLUP_AMOUNT,
	PLANFS.DESCRIPTION  AS P_FSDESCRIPTION
	FROM 
	ALENT_PLAN PLANDETAILS 
	INNER JOIN ALOM_ASSEMBLY A0 ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLANDETAILS.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID
	INNER JOIN ALOM_ASSOENTITYFACET AEF1 ON AEF1.RELATIONSHIPTYPEID = 43297593141162 AND AEF1.ENTITYID = PLANDETAILS.PLANID
	INNER JOIN ALFCT_FINANCIALSUMMARY PLANFS ON AEF1.FACETID = PLANFS.FINANCIALSUMMARYID 
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLANDETAILS.FISCALYEAR = FC.FISCALYEAR ')


	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMARKETINGACTIVITY
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,BU_LEVEL5_ID,
	BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,MA_LEVEL1_NUMBER,
	MA_LEVEL2_NUMBER,MA_LEVEL3_NUMBER,MA_LEVEL4_NUMBER,MA_LEVEL5_NUMBER,MA_LEVEL1_NAME,MA_LEVEL2_NAME,
	MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,
	MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,BU_LEVEL_NO,BU_PATH,PARENT_MA_ID,PARENT_MA_LEVEL,MA_ID,MA_NAME,
	MA_DESCRIPTION,MA_TYPE,MA_STATUS,MA_PLANNEDSTARTDATE,QMA_PLANNEDSTARTDATE,MA_PLANNEDENDDATE,
	QMA_PLANNEDENDDATE,MA_ACTUALSTARTDATE,QMA_ACTUALSTARTDATE,MA_ACTUALENDDATE,QMA_ACTUALENDDATE,
	MA_LEVEL_NO,MA_NUMBER,MA_CURRENCY,MA_BUDGETAPPROVED,MA_CREATEDONDATE,QMA_CREATEDONDATE,MA_LASTUPDATEDONDATE,
	QMA_LASTUPDATEDONDATE,MA_BUDGETINITIATEDONDATE,QMA_BUDGETINITIATEDONDATE,MA_STATUSBEFOREREVIEW,
	MA_PATH,MA_BUDGETAPPROVEDONDATE,QMA_BUDGETAPPROVEDONDATE,MA_FS_ID,MA_BUDGETED_CURRENCY,MA_BUDGETED_AMOUNT,
	MA_PLANNED_CURRENCY,MA_PLANNED_AMOUNT,MA_COMMITTED_CURRENCY,MA_COMMITTED_AMOUNT,MA_SPENT_CURRENCY,
	MA_SPENT_AMOUNT,MA_AVAILABLE_CURRENCY,MA_AVAILABLE_AMOUNT,MA_UNALLOCATED_CURRENCY,MA_UNALLOCATED_AMOUNT,
	MA_FS_LASTUPDATEDONDATE,QMA_FS_LASTUPDATEDONDATE,MA_ALLOCATEDTOSPEND_CURRENCY,MA_ALLOCATEDTOSPEND_AMOUNT,
	MA_ACTUALS_CURRENCY,MA_ACTUALS_AMOUNT,MA_ALLOCTOSPENDROLLUP_CURR,MA_ALLOCTOSPENDROLLUP_AMOUNT,
	MA_COMMITTEDROLLUP_CURRENCY,MA_COMMITTEDROLLUP_AMOUNT,MA_SPENTROLLUP_CURRENCY,MA_SPENTROLLUP_AMOUNT,
	MA_ACTUALSROLLUP_CURRENCY,MA_ACTUALSROLLUP_AMOUNT,MA_AVAILABLEROLLUP_CURRENCY,MA_AVAILABLEROLLUP_AMOUNT,
	MA_FS_DESCRIPTION)
	SELECT
		PLANDETAILS.PLANID	AS PLANID,
		PLANDETAILS.TITLE   AS PLAN_TITLE,
		PLANDETAILS.FISCALYEAR   AS FISCALYEAR,
		0	AS BU_LEVEL1_ID,
		0	AS BU_LEVEL2_ID,
		0	AS BU_LEVEL3_ID,
		0	AS BU_LEVEL4_ID,
		0	AS BU_LEVEL5_ID,
		''''	AS BU_LEVEL1_NAME,
		''''	AS BU_LEVEL2_NAME,
		''''	AS BU_LEVEL3_NAME,
		''''	AS BU_LEVEL4_NAME,
		''''	AS BU_LEVEL5_NAME,
		0	AS MA_LEVEL1_NUMBER,
		0	AS MA_LEVEL2_NUMBER,
		0	AS MA_LEVEL3_NUMBER,
		0	AS MA_LEVEL4_NUMBER,
		0	AS MA_LEVEL5_NUMBER,
		''''	AS MA_LEVEL1_NAME,
		''''	AS MA_LEVEL2_NAME,
		''''	AS MA_LEVEL3_NAME,
		''''	AS MA_LEVEL4_NAME,
		''''	AS MA_LEVEL5_NAME,
		''''	AS MA_TYPE_LEVEL1_NAME,
		''''	AS MA_TYPE_LEVEL2_NAME,
		''''	AS MA_TYPE_LEVEL3_NAME,
		''''	AS MA_TYPE_LEVEL4_NAME,
		BU.BUSINESSUNITID	AS BU_ID,
		BU.NAME			AS BU_NAME,
		BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
		CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
		CAST(NULL AS BIGINT) AS PARENT_MA_ID, 
		1 AS PARENT_MA_LEVEL, 
		CHILDMA.MARKETINGACTIVITYID AS MA_ID,
		CHILDMA.NAME   AS MA_NAME,
		CHILDMA.DESCRIPTION  AS MA_DESCRIPTION,
		CHILDMA.ACTIVITYTYPE  AS MA_TYPE,
		CHILDMA.STATUS  AS MA_STATUS,
		CHILDMA.PLANNEDSTARTDATE  AS MA_PLANNEDSTARTDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.PLANNEDSTARTDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.PLANNEDSTARTDATE, '+@FISCAL_MONTH+') END  AS QMA_PLANNEDSTARTDATE,
		CHILDMA.PLANNEDENDDATE   AS MA_PLANNEDENDDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.PLANNEDENDDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.PLANNEDENDDATE, '+@FISCAL_MONTH+') END  AS QMA_PLANNEDENDDATE,
		CHILDMA.ACTUALSTARTDATE  AS MA_ACTUALSTARTDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.ACTUALSTARTDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.ACTUALSTARTDATE, '+@FISCAL_MONTH+') END  AS QMA_ACTUALSTARTDATE,
		CHILDMA.ACTUALENDDATE   AS MA_ACTUALENDDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.ACTUALENDDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.ACTUALENDDATE, '+@FISCAL_MONTH+')  END  AS QMA_ACTUALENDDATE,
		CHILDMA.ACTIVITYLEVEL  AS MA_LEVEL_NO,
		CHILDMA.ACTIVITYNUMBER  AS MA_NUMBER,
		CHILDMA.CURRENCYTYPE  AS  MA_CURRENCY,
		CHILDMA.BUDGETAPPROVED  AS MA_BUDGETAPPROVED,
		CHILDMA.CREATEDON  AS MA_CREATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.CREATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.CREATEDON, '+@FISCAL_MONTH+') END  AS QMA_CREATEDONDATE,
		CHILDMA.LASTUPDATEDON   AS MA_LASTUPDATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.LASTUPDATEDON, '+@FISCAL_MONTH+') END  AS QMA_LASTUPDATEDONDATE,
		CHILDMA.BUDGETINITIATEDON   AS MA_BUDGETINITIATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.BUDGETINITIATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.BUDGETINITIATEDON, '+@FISCAL_MONTH+') END  AS QMA_BUDGETINITIATEDONDATE,
		CHILDMA.STATUSBEFOREREVIEW  AS MA_STATUSBEFOREREVIEW,
		CASE WHEN CHARINDEX(''$ALP$'',CHILDMA.ACTIVITYPATH) > 0 THEN REPLACE(CHILDMA.ACTIVITYPATH,''$ALP$'', '+''''+@MA_PATH_SEPARATOR+''''+') ELSE  CHILDMA.ACTIVITYPATH END AS MA_PATH,
		CHILDMA.BUDGETAPPROVEDON  AS  MA_BUDGETAPPROVEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.BUDGETAPPROVEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.BUDGETAPPROVEDON, '+@FISCAL_MONTH+') END  AS  QMA_BUDGETAPPROVEDONDATE,
		MAFINANCIALSUMMARY.FINANCIALSUMMARYID  AS MA_FS_ID,
		MAFINANCIALSUMMARY.BUDGETED_C  AS MA_BUDGETED_CURRENCY,
		MAFINANCIALSUMMARY.BUDGETED_A  AS MA_BUDGETED_AMOUNT,
		MAFINANCIALSUMMARY.PLANNED_C  AS  MA_PLANNED_CURRENCY,
		MAFINANCIALSUMMARY.PLANNED_A  AS  MA_PLANNED_AMOUNT,
		MAFINANCIALSUMMARY.COMMITTED_C   AS MA_COMMITTED_CURRENCY,
		MAFINANCIALSUMMARY.COMMITTED_A   AS MA_COMMITTED_AMOUNT,
		MAFINANCIALSUMMARY.SPENT_C  AS MA_SPENT_CURRENCY,
		MAFINANCIALSUMMARY.SPENT_A  AS MA_SPENT_AMOUNT,
		MAFINANCIALSUMMARY.AVAILABLE_C  AS MA_AVAILABLE_CURRENCY,
		MAFINANCIALSUMMARY.AVAILABLE_A  AS MA_AVAILABLEY_AMOUNT,
		MAFINANCIALSUMMARY.UNALLOCATED_C  AS MA_UNALLOCATED_CURRENCY,
		MAFINANCIALSUMMARY.UNALLOCATED_A  AS MA_UNALLOCATED_AMOUNT,
		MAFINANCIALSUMMARY.LASTUPDATEDON  AS MA_FS_LASTUPDATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MAFINANCIALSUMMARY.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MAFINANCIALSUMMARY.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS QMA_FS_LASTUPDATEDONDATE,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPEND_C   AS MA_ALLOCATEDTOSPEND_CURRENCY,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPEND_A   AS MA_ALLOCATEDTOSPEND_AMOUNT,
		MAFINANCIALSUMMARY.ACTUALS_C  AS MA_ACTUALS_CURRENCY,
		MAFINANCIALSUMMARY.ACTUALS_A  AS MA_ACTUALS_AMOUNT,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPENDROLLUP_C  ,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPENDROLLUP_A  ,
		MAFINANCIALSUMMARY.COMMITTEDROLLUP_C  AS MA_COMMITTEDROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.COMMITTEDROLLUP_A  AS MA_COMMITTEDROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.SPENTROLLUP_C   AS MA_SPENTROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.SPENTROLLUP_A   AS MA_SPENTROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.ACTUALSROLLUP_C  AS MA_ACTUALSROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.ACTUALSROLLUP_A  AS MA_ACTUALSROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.AVAILABLEROLLUP_C  AS MA_AVAILABLEROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.AVAILABLEROLLUP_A  AS MA_AVAILABLEROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.DESCRIPTION  AS MA_FS_DESCRIPTION
	FROM 
	ALENT_PLAN PLANDETAILS 
	INNER JOIN ALOM_ASSEMBLY A0 ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLANDETAILS.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID
	INNER JOIN ALOM_ASSOENTITYFACET AEF1 ON AEF1.RELATIONSHIPTYPEID = 43297593141162 AND AEF1.ENTITYID = PLANDETAILS.PLANID
	INNER JOIN ALFCT_FINANCIALSUMMARY PLANFS ON AEF1.FACETID = PLANFS.FINANCIALSUMMARYID
	INNER JOIN ALOM_ASSEMBLY A ON A.RELATIONSHIPTYPEID = 38934607864244 AND A.CONTAINERID = PLANDETAILS.PLANID
	INNER JOIN ALENT_MARKETINGACTIVITY CHILDMA ON A.CONTAINSID = CHILDMA.MARKETINGACTIVITYID
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON AEF2.RELATIONSHIPTYPEID = 92717298333215 AND AEF2.ENTITYID = CHILDMA.MARKETINGACTIVITYID 
	LEFT OUTER JOIN ALFCT_FINANCIALSUMMARY MAFINANCIALSUMMARY ON AEF2.FACETID = MAFINANCIALSUMMARY.FINANCIALSUMMARYID
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLANDETAILS.FISCALYEAR = FC.FISCALYEAR  
	UNION
	SELECT
		PLANDETAILS.PLANID	AS PLANID,
		PLANDETAILS.TITLE   AS PLAN_TITLE,
		PLANDETAILS.FISCALYEAR   AS FISCALYEAR,
		0	AS BU_LEVEL1_ID,
		0	AS BU_LEVEL2_ID,
		0	AS BU_LEVEL3_ID,
		0	AS BU_LEVEL4_ID,
		0	AS BU_LEVEL5_ID,
		''''	AS BU_LEVEL1_NAME,
		''''	AS BU_LEVEL2_NAME,
		''''	AS BU_LEVEL3_NAME,
		''''	AS BU_LEVEL4_NAME,
		''''	AS BU_LEVEL5_NAME,
		0	AS MA_LEVEL1_NUMBER,
		0	AS MA_LEVEL2_NUMBER,
		0	AS MA_LEVEL3_NUMBER,
		0	AS MA_LEVEL4_NUMBER,
		0	AS MA_LEVEL5_NUMBER,
		''''	AS MA_LEVEL1_NAME,
		''''	AS MA_LEVEL2_NAME,
		''''	AS MA_LEVEL3_NAME,
		''''	AS MA_LEVEL4_NAME,
		''''	AS MA_LEVEL5_NAME,
		''''	AS MA_TYPE_LEVEL1_NAME,
		''''	AS MA_TYPE_LEVEL2_NAME,
		''''	AS MA_TYPE_LEVEL3_NAME,
		''''	AS MA_TYPE_LEVEL4_NAME,
		BU.BUSINESSUNITID	AS BU_ID,
		BU.NAME			AS BU_NAME,
		BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
		CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
		PARENTMA.MARKETINGACTIVITYID PARENT_MA_ID, 
		PARENTMA.ACTIVITYLEVEL PARENT_MA_LEVEL, 
		CHILDMA.MARKETINGACTIVITYID AS MA_ID,
		CHILDMA.NAME   AS MA_NAME,
		CHILDMA.DESCRIPTION  AS MA_DESCRIPTION,
		CHILDMA.ACTIVITYTYPE  AS MA_TYPE,
		CHILDMA.STATUS  AS MA_STATUS,
		CHILDMA.PLANNEDSTARTDATE  AS MA_PLANNEDSTARTDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.PLANNEDSTARTDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.PLANNEDSTARTDATE, '+@FISCAL_MONTH+') END AS QMA_PLANNEDSTARTDATE,
		CHILDMA.PLANNEDENDDATE   AS MA_PLANNEDENDDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.PLANNEDENDDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.PLANNEDENDDATE, '+@FISCAL_MONTH+') END AS QMA_PLANNEDENDDATE,
		CHILDMA.ACTUALSTARTDATE  AS MA_ACTUALSTARTDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.ACTUALSTARTDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.ACTUALSTARTDATE, '+@FISCAL_MONTH+') END AS QMA_ACTUALSTARTDATE,
		CHILDMA.ACTUALENDDATE   AS MA_ACTUALENDDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.ACTUALENDDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.ACTUALENDDATE, '+@FISCAL_MONTH+') END AS QMA_ACTUALENDDATE,
		CHILDMA.ACTIVITYLEVEL  AS MA_LEVEL_NO,
		CHILDMA.ACTIVITYNUMBER  AS MA_NUMBER,
		CHILDMA.CURRENCYTYPE  AS  MA_CURRENCYTYPE,
		CHILDMA.BUDGETAPPROVED  AS MA_BUDGETAPPROVED,
		CHILDMA.CREATEDON  AS MA_CREATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.CREATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.CREATEDON, '+@FISCAL_MONTH+') END AS QMA_CREATEDONDATE,
		CHILDMA.LASTUPDATEDON   AS MA_LASTUPDATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS QMA_LASTUPDATEDONDATE,
		CHILDMA.BUDGETINITIATEDON   AS MA_BUDGETINITIATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.BUDGETINITIATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.BUDGETINITIATEDON, '+@FISCAL_MONTH+') END AS QMA_BUDGETINITIATEDONDATE,
		CHILDMA.STATUSBEFOREREVIEW  AS MA_STATUSBEFOREREVIEW,
		CASE WHEN CHARINDEX(''$ALP$'',CHILDMA.ACTIVITYPATH) > 0 THEN REPLACE(CHILDMA.ACTIVITYPATH,''$ALP$'', '+''''+@MA_PATH_SEPARATOR+''''+') ELSE  CHILDMA.ACTIVITYPATH END   AS MA_PATH,
		CHILDMA.BUDGETAPPROVEDON  AS  MA_BUDGETAPPROVEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(CHILDMA.BUDGETAPPROVEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(CHILDMA.BUDGETAPPROVEDON, '+@FISCAL_MONTH+') END AS QMA_BUDGETAPPROVEDONDATE,
		MAFINANCIALSUMMARY.FINANCIALSUMMARYID  AS MA_FS_ID,
		MAFINANCIALSUMMARY.BUDGETED_C  AS MA_BUDGETED_CURRENCY,
		MAFINANCIALSUMMARY.BUDGETED_A  AS MA_BUDGETED_AMOUNT,
		MAFINANCIALSUMMARY.PLANNED_C  AS  MA_PLANNED_CURRENCY,
		MAFINANCIALSUMMARY.PLANNED_A  AS  MA_PLANNED_AMOUNT,
		MAFINANCIALSUMMARY.COMMITTED_C   AS MA_COMMITTED_CURRENCY,
		MAFINANCIALSUMMARY.COMMITTED_A   AS MA_COMMITTED_AMOUNT,
		MAFINANCIALSUMMARY.SPENT_C  AS MA_SPENT_CURRENCY,
		MAFINANCIALSUMMARY.SPENT_A  AS MA_SPENT_AMOUNT,
		MAFINANCIALSUMMARY.AVAILABLE_C  AS MA_AVAILABLE_CURRENCY,
		MAFINANCIALSUMMARY.AVAILABLE_A  AS MA_AVAILABLE_AMOUNT,
		MAFINANCIALSUMMARY.UNALLOCATED_C  AS MA_UNALLOCATED_CURRENCY,
		MAFINANCIALSUMMARY.UNALLOCATED_A  AS MA_UNALLOCATED_AMOUNT,
		MAFINANCIALSUMMARY.LASTUPDATEDON  AS MA_FS_LASTUPDATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MAFINANCIALSUMMARY.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MAFINANCIALSUMMARY.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS QMA_FS_LASTUPDATEDONDATE,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPEND_C   AS MA_ALLOCATEDTOSPEND_CURRENCY,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPEND_A   AS MA_ALLOCATEDTOSPEND_AMOUNT,
		MAFINANCIALSUMMARY.ACTUALS_C  AS MA_ACTUALS_CURRENCY,
		MAFINANCIALSUMMARY.ACTUALS_A  AS MA_ACTUALS_AMOUNT,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPENDROLLUP_C  ,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPENDROLLUP_A  ,
		MAFINANCIALSUMMARY.COMMITTEDROLLUP_C  AS MA_COMMITTEDROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.COMMITTEDROLLUP_A  AS MA_COMMITTEDROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.SPENTROLLUP_C   AS MA_SPENTROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.SPENTROLLUP_A   AS MA_SPENTROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.ACTUALSROLLUP_C  AS MA_ACTUALSROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.ACTUALSROLLUP_A  AS MA_ACTUALSROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.AVAILABLEROLLUP_C  AS MA_AVAILABLEROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.AVAILABLEROLLUP_A  AS MA_AVAILABLEROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.DESCRIPTION  AS MA_FS_DESCRIPTION
	FROM
	ALENT_PLAN PLANDETAILS 
	INNER JOIN ALOM_ASSEMBLY A0 ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLANDETAILS.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID
	INNER JOIN ALOM_ASSOENTITYFACET AEF1 ON AEF1.RELATIONSHIPTYPEID = 43297593141162 AND AEF1.ENTITYID = PLANDETAILS.PLANID
	INNER JOIN ALFCT_FINANCIALSUMMARY PLANFS ON AEF1.FACETID = PLANFS.FINANCIALSUMMARYID

	INNER JOIN ALOM_ASSEMBLY A ON A.RELATIONSHIPTYPEID = 198303327217807 AND A.CONTAINERID = PLANDETAILS.PLANID
	INNER JOIN ALENT_MARKETINGACTIVITY CHILDMA ON A.CONTAINSID = CHILDMA.MARKETINGACTIVITYID

	INNER JOIN ALOM_ASSEMBLY A1 ON A1.RELATIONSHIPTYPEID = 56942662476619 AND A1.CONTAINSID = CHILDMA.MARKETINGACTIVITYID
	INNER JOIN ALENT_MARKETINGACTIVITY PARENTMA ON A1.CONTAINERID = PARENTMA.MARKETINGACTIVITYID

	LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON AEF2.RELATIONSHIPTYPEID = 92717298333215 AND 
		AEF2.ENTITYID = CHILDMA.MARKETINGACTIVITYID
	LEFT OUTER JOIN ALFCT_FINANCIALSUMMARY MAFINANCIALSUMMARY ON AEF2.FACETID = MAFINANCIALSUMMARY.FINANCIALSUMMARYID 
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLANDETAILS.FISCALYEAR = FC.FISCALYEAR ')


	EXEC ('  INSERT INTO   '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSLLMARKETINGACTIVITY
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,BU_LEVEL5_ID,
	BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,MA_LEVEL1_NUMBER,
	MA_LEVEL2_NUMBER,MA_LEVEL3_NUMBER,MA_LEVEL4_NUMBER,MA_LEVEL5_NUMBER,MA_LEVEL1_NAME,MA_LEVEL2_NAME,
	MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,
	MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,BU_LEVEL_NO,BU_PATH,PARENT_MA_ID,PARENT_MA_LEVEL,LL_MA_ID,LL_MA_NAME,
	LL_MA_DESCRIPTION,LL_MA_TYPE,LL_MA_STATUS,LL_MA_PLANNEDSTARTDATE,LL_QMA_PLANNEDSTARTDATE,LL_MA_PLANNEDENDDATE,
	LL_QMA_PLANNEDENDDATE,LL_MA_ACTUALSTARTDATE,LL_QMA_ACTUALSTARTDATE,LL_MA_ACTUALENDDATE,LL_QMA_ACTUALENDDATE,
	LL_MA_LEVEL_NO,LL_MA_NUMBER,LL_MA_CURRENCYTYPE,LL_MA_BUDGETAPPROVED,LL_MA_CREATEDONDATE,LL_QMA_CREATEDONDATE,
	LL_MA_LASTUPDATEDONDATE,LL_QMA_LASTUPDATEDONDATE,LL_MA_BUDGETINITIATEDONDATE,LL_QMA_BUDGETINITIATEDONDATE,
	LL_MA_STATUSBEFOREREVIEW,LL_MA_PATH,LL_MA_BUDGETAPPROVEDONDATE,LL_QMA_BUDGETAPPROVEDONDATE,LL_MA_FS_ID,
	LL_MA_BUDGETED_CURRENCY,LL_MA_BUDGETED_AMOUNT,LL_MA_PLANNED_CURRENCY,LL_MA_PLANNED_AMOUNT,LL_MA_COMMITTED_CURRENCY,
	LL_MA_COMMITTED_AMOUNT,LL_MA_SPENT_CURRENCY,LL_MA_SPENT_AMOUNT,LL_MA_AVAILABLE_CURRENCY,LL_MA_AVAILABLE_AMOUNT,
	LL_MA_UNALLOCATED_CURRENCY,LL_MA_UNALLOCATED_AMOUNT,LL_MA_FS_LASTUPDATEDONDATE,LL_QMA_FS_LASTUPDATEDONDATE,
	LL_MA_ALLOCTOSPEND_CURRENCY,LL_MA_ALLOCATEDTOSPEND_AMOUNT,LL_MA_ACTUALS_CURRENCY,LL_MA_ACTUALS_AMOUNT,
	LL_MA_ALLOCTOSPENDROLLUP_CURR,LL_MA_ALLOCTOSPENDROLLUP_AMT,LL_MA_COMMITTEDROLLUP_CURRENCY,
	LL_MA_COMMITTEDROLLUP_AMOUNT,LL_MA_SPENTROLLUP_CURRENCY,LL_MA_SPENTROLLUP_AMOUNT,LL_MA_ACTUALSROLLUP_CURRENCY,
	LL_MA_ACTUALSROLLUP_AMOUNT,LL_MA_AVAILABLEROLLUP_CURRENCY,LL_MA_AVAILABLEROLLUP_AMOUNT,LL_MA_FS_DESCRIPTION)
	SELECT	
		PLAN1.PLANID AS PLANID,
		PLAN1.TITLE  AS PLAN_TITLE,
		PLAN1.FISCALYEAR   AS FISCALYEAR,
		0	AS BU_LEVEL1_ID,
		0	AS BU_LEVEL2_ID,
		0	AS BU_LEVEL3_ID,
		0	AS BU_LEVEL4_ID,
		0	AS BU_LEVEL5_ID,
		''''	AS BU_LEVEL1_NAME,
		''''	AS BU_LEVEL2_NAME,
		''''	AS BU_LEVEL3_NAME,
		''''	AS BU_LEVEL4_NAME,
		''''	AS BU_LEVEL5_NAME,
		0	AS MA_LEVEL1_NUMBER,
		0	AS MA_LEVEL2_NUMBER,
		0	AS MA_LEVEL3_NUMBER,
		0	AS MA_LEVEL4_NUMBER,
		0	AS MA_LEVEL5_NUMBER,
		''''	AS MA_LEVEL1_NAME,
		''''	AS MA_LEVEL2_NAME,
		''''	AS MA_LEVEL3_NAME,
		''''	AS MA_LEVEL4_NAME,
		''''	AS MA_LEVEL5_NAME,
		''''	AS MA_TYPE_LEVEL1_NAME,
		''''	AS MA_TYPE_LEVEL2_NAME,
		''''	AS MA_TYPE_LEVEL3_NAME,
		''''	AS MA_TYPE_LEVEL4_NAME,
		BU.BUSINESSUNITID	AS BU_ID,
		BU.NAME			AS BU_NAME,
		BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
		CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
		PARENT_MA.MARKETINGACTIVITYID AS PARENT_MA_ID, 
		PARENT_MA.ACTIVITYLEVEL AS PARENT_MA_LEVEL, 
		MA.MARKETINGACTIVITYID AS LL_MA_ID,
		MA.NAME   AS LL_MA_NAME,
		MA.DESCRIPTION  AS LL_MA_DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END AS LL_MA_TYPE,
		MA.STATUS  AS LL_MA_STATUS,
		MA.PLANNEDSTARTDATE  AS LL_MA_PLANNEDSTARTDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MA.PLANNEDSTARTDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MA.PLANNEDSTARTDATE, '+@FISCAL_MONTH+') END AS LL_QMA_PLANNEDSTARTDATE,
		MA.PLANNEDENDDATE   AS LL_MA_PLANNEDENDDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MA.PLANNEDENDDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MA.PLANNEDENDDATE, '+@FISCAL_MONTH+') END AS LL_QMA_PLANNEDENDDATE,
		MA.ACTUALSTARTDATE  AS LL_MA_ACTUALSTARTDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MA.ACTUALSTARTDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MA.ACTUALSTARTDATE, '+@FISCAL_MONTH+') END AS LL_QMA_ACTUALSTARTDATE,
		MA.ACTUALENDDATE   AS LL_MA_ACTUALENDDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MA.ACTUALENDDATE,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MA.ACTUALENDDATE, '+@FISCAL_MONTH+') END AS LL_QMA_ACTUALENDDATE,
		MA.ACTIVITYLEVEL  AS LL_MA_LEVEL_NO,
		MA.ACTIVITYNUMBER  AS LL_MA_NUMBER,
		MA.CURRENCYTYPE  AS  LL_MA_CURRENCYTYPE,
		MA.BUDGETAPPROVED  AS LL_MA_BUDGETAPPROVED,
		MA.CREATEDON  AS LL_MA_CREATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MA.CREATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MA.CREATEDON, '+@FISCAL_MONTH+') END AS LL_QMA_CREATEDONDATE,
		MA.LASTUPDATEDON   AS LL_MA_LASTUPDATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MA.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MA.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS LL_QMA_LASTUPDATEDONDATE,
		MA.BUDGETINITIATEDON   AS LL_MA_BUDGETINITIATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MA.BUDGETINITIATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MA.BUDGETINITIATEDON, '+@FISCAL_MONTH+') END AS LL_QMA_BUDGETINITIATEDONDATE,
		MA.STATUSBEFOREREVIEW  AS LL_MA_STATUSBEFOREREVIEW,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYPATH) > 0 THEN REPLACE(MA.ACTIVITYPATH,''$ALP$'', '+''''+@MA_PATH_SEPARATOR+''''+') ELSE  MA.ACTIVITYPATH END   AS LL_MA_PATH,
		MA.BUDGETAPPROVEDON  AS  LL_MA_BUDGETAPPROVEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MA.BUDGETAPPROVEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MA.BUDGETAPPROVEDON, '+@FISCAL_MONTH+') END AS LL_QMA_BUDGETAPPROVEDONDATE,
		MAFINANCIALSUMMARY.FINANCIALSUMMARYID  AS LL_MA_FS_ID,
		MAFINANCIALSUMMARY.BUDGETED_C  AS LL_MA_BUDGETED_CURRENCY,
		MAFINANCIALSUMMARY.BUDGETED_A  AS LL_MA_BUDGETED_AMOUNT,
		MAFINANCIALSUMMARY.PLANNED_C  AS  LL_MA_PLANNED_CURRENCY,
		MAFINANCIALSUMMARY.PLANNED_A  AS  LL_MA_PLANNED_AMOUNT,
		MAFINANCIALSUMMARY.COMMITTED_C   AS LL_MA_COMMITTED_CURRENCY,
		MAFINANCIALSUMMARY.COMMITTED_A   AS LL_MA_COMMITTED_AMOUNT,
		MAFINANCIALSUMMARY.SPENT_C  AS LL_MA_SPENT_CURRENCY,
		MAFINANCIALSUMMARY.SPENT_A  AS LL_MA_SPENT_AMOUNT,
		MAFINANCIALSUMMARY.AVAILABLE_C  AS LL_MA_AVAILABLE_CURRENCY,
		MAFINANCIALSUMMARY.AVAILABLE_A  AS LL_MA_AVAILABLE_AMOUNT,
		MAFINANCIALSUMMARY.UNALLOCATED_C  AS LL_MA_UNALLOCATED_CURRENCY,
		MAFINANCIALSUMMARY.UNALLOCATED_A  AS LL_MA_UNALLOCATED_AMOUNT,
		MAFINANCIALSUMMARY.LASTUPDATEDON  AS LL_MA_FS_LASTUPDATEDONDATE,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(MAFINANCIALSUMMARY.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(MAFINANCIALSUMMARY.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS LL_QMA_FS_LASTUPDATEDONDATE,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPEND_C   ,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPEND_A   AS LL_MA_ALLOCATEDTOSPEND_AMOUNT,
		MAFINANCIALSUMMARY.ACTUALS_C  AS LL_MA_ACTUALS_CURRENCY,
		MAFINANCIALSUMMARY.ACTUALS_A  AS LL_MA_ACTUALS_AMOUNT,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPENDROLLUP_C  ,
		MAFINANCIALSUMMARY.ALLOCATEDTOSPENDROLLUP_A  ,
		MAFINANCIALSUMMARY.COMMITTEDROLLUP_C  AS LL_MA_COMMITTEDROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.COMMITTEDROLLUP_A  AS LL_MA_COMMITTEDROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.SPENTROLLUP_C   AS LL_MA_SPENTROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.SPENTROLLUP_A   AS LL_MA_SPENTROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.ACTUALSROLLUP_C  AS LL_MA_ACTUALSROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.ACTUALSROLLUP_A  AS LL_MA_ACTUALSROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.AVAILABLEROLLUP_C  AS LL_MA_AVAILABLEROLLUP_CURRENCY,
		MAFINANCIALSUMMARY.AVAILABLEROLLUP_A  AS LL_MA_AVAILABLEROLLUP_AMOUNT,
		MAFINANCIALSUMMARY.DESCRIPTION  AS LL_MA_FS_DESCRIPTION
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0
	ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU
	ON A0.CONTAINSID = BU.BUSINESSUNITID
	INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID = 198303327217807 AND A1.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_MARKETINGACTIVITY MA 
	ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON AEF2.RELATIONSHIPTYPEID = 92717298333215 AND 
		AEF2.ENTITYID = MA.MARKETINGACTIVITYID
	LEFT OUTER JOIN ALFCT_FINANCIALSUMMARY MAFINANCIALSUMMARY ON AEF2.FACETID = MAFINANCIALSUMMARY.FINANCIALSUMMARYID
	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 56942662476619 AND A2.CONTAINSID = MA.MARKETINGACTIVITYID
	INNER JOIN ALENT_MARKETINGACTIVITY PARENT_MA
	ON A2.CONTAINERID = PARENT_MA.MARKETINGACTIVITYID 
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLAN1.FISCALYEAR = FC.FISCALYEAR 
	WHERE MA.BUDGETAPPROVED = 1 ')


	EXEC (' INSERT INTO   '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSINVOICELINEITEMS
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,
	BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,
	MA_LEVEL1_NUMBER,MA_LEVEL2_NUMBER,MA_LEVEL3_NUMBER,MA_LEVEL4_NUMBER,MA_LEVEL5_NUMBER,
	MA_LEVEL1_NAME,MA_LEVEL2_NAME,MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,
	MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,BU_LEVEL_NO,BU_PATH,
	INV_ID,MA_ID,MA_NUMBER,MA_TYPE,MA_LEVEL_NO,COSTCATEGORYID,COSTCATEGORY_NAME,COSTCATEGORY_NO,
	COSTCATEGORY_DESCRIPTION,COSTCATEGORY_ISOBSOLETE,LI_ID,LI_DESCRIPTION,LI_RATE_CURRENCY,LI_RATE_AMOUNT,LI_CURRENCY,
	LI_AMOUNT,LI_QUANTITY,LI_SEQUENCEORDER,FA_NAME,FA_NUMBER,VENDORSID,VENDORNAME,VENDORDESCRIPTION,
	VENDORTYPE,VENDORURL)
	SELECT
	PLAN1.PLANID	AS PLANID,
	PLAN1.TITLE   AS PLAN_TITLE,
	PLAN1.FISCALYEAR   AS FISCALYEAR,
	0	AS BU_LEVEL1_ID,
		0	AS BU_LEVEL2_ID,
		0	AS BU_LEVEL3_ID,
		0	AS BU_LEVEL4_ID,
		0	AS BU_LEVEL5_ID,
		''''	AS BU_LEVEL1_NAME,
		''''	AS BU_LEVEL2_NAME,
		''''	AS BU_LEVEL3_NAME,
		''''	AS BU_LEVEL4_NAME,
		''''	AS BU_LEVEL5_NAME,
		0	AS MA_LEVEL1_NUMBER,
		0	AS MA_LEVEL2_NUMBER,
		0	AS MA_LEVEL3_NUMBER,
		0	AS MA_LEVEL4_NUMBER,
		0	AS MA_LEVEL5_NUMBER,
		''''	AS MA_LEVEL1_NAME,
		''''	AS MA_LEVEL2_NAME,
		''''	AS MA_LEVEL3_NAME,
		''''	AS MA_LEVEL4_NAME,
		''''	AS MA_LEVEL5_NAME,
		''''	AS MA_TYPE_LEVEL1_NAME,
		''''	AS MA_TYPE_LEVEL2_NAME,
		''''	AS MA_TYPE_LEVEL3_NAME,
		''''	AS MA_TYPE_LEVEL4_NAME,
	BU.BUSINESSUNITID	AS BU_ID,
	BU.NAME			AS BU_NAME,
	BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
	INVOICE1.INVOICEID	AS INV_ID,
	MA1.MARKETINGACTIVITYID	AS MA_ID,
	MA1.ACTIVITYNUMBER	AS MA_ACTIVITYNUMBER,
	--
	CASE WHEN CHARINDEX(''$ALP$'',MA1.ACTIVITYTYPE) > 0 THEN REPLACE(MA1.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA1.ACTIVITYTYPE END  AS MA_TYPE,
	MA1.ACTIVITYLEVEL	AS MA_LEVEL_NO,
	CC.COSTCATEGORYID	AS COSTCATEGORYID,
	CC.NAME AS COSTCATEGORY_NAME,
	CC.COSTCATEGORYNUMBER	AS COSTCATEGORY_NO,
	CC.DESCRIPTION	AS COSTCATEGORY_DESCRIPTION,
	CC.ISOBSOLETE  AS COSTCATEGORY_ISOBSOLETE,
	LINEITEMS1.LINEITEMSID	AS LI_ID,
	LINEITEMS1.DESCRIPTION	AS LI_DESCRIPTION,
	LINEITEMS1.RATE_C	AS LI_RATE_CURRENCY,
	LINEITEMS1.RATE_A	AS LI_RATE_AMOUNT,
	LINEITEMS1.ITEMAMOUNT_C	AS  LI_CURRENCY,
	LINEITEMS1.ITEMAMOUNT_A	AS LI_AMOUNT,
	LINEITEMS1.QUANTITY	AS LI_QUANTITY,
	LINEITEMS1.SEQUENCEORDER	AS LI_SEQUENCEORDER,
	FA.NAME		AS FA_NAME,
	FA.FINANCIALACCOUNTNUMBER	AS	FA_NUMBER,
	VENDORS1.VENDORSID	AS VENDORSID,
	VENDORS1.NAME	AS VENDORNAME,
	VENDORS1.DESCRIPTION	AS VENDORDESCRIPTION,
	VENDORS1.VENDORTYPE	AS VENDORTYPE,
	VENDORS1.URL	AS VENDORURL
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0 
	ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID

	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)  AND A2.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_MARKETINGACTIVITY MA1
	ON A2.CONTAINSID = MA1.MARKETINGACTIVITYID

	INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID IN (258169431586434,54043127184334) AND A1.CONTAINERID = MA1.MARKETINGACTIVITYID
	INNER JOIN ALENT_INVOICE INVOICE1
	ON A1.CONTAINSID = INVOICE1.INVOICEID

	INNER JOIN ALOM_ASSEMBLY A4 
	ON A4.RELATIONSHIPTYPEID = 120841619528864 AND A4.CONTAINERID = INVOICE1.INVOICEID
	INNER JOIN ALENT_VENDORS VENDORS1
	ON A4.CONTAINSID = VENDORS1.VENDORSID

	INNER JOIN ALOM_ASSOENTITYFACET AEF1
	ON AEF1.RELATIONSHIPTYPEID = 175658777878214 AND AEF1.ENTITYID = INVOICE1.INVOICEID
	INNER JOIN ALFCT_LINEITEMS LINEITEMS1
	ON AEF1.FACETID = LINEITEMS1.LINEITEMSID

	LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2
	ON AEF2.RELATIONSHIPTYPEID = 155952577195191 AND AEF2.FACETID = LINEITEMS1.LINEITEMSID
	LEFT OUTER JOIN ALENT_COSTCATEGORY CC
	ON AEF2.ENTITYID = CC.COSTCATEGORYID

	LEFT OUTER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 241217859337743 AND A3.CONTAINERID = CC.COSTCATEGORYID
	LEFT OUTER JOIN ALENT_FINANCIALACCOUNT FA
	ON A3.CONTAINSID = FA.FINANCIALACCOUNTID ')


	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSINVOICE
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,
	BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,
	MA_LEVEL1_NUMBER,MA_LEVEL2_NUMBER,MA_LEVEL3_NUMBER,MA_LEVEL4_NUMBER,MA_LEVEL5_NUMBER,
	MA_LEVEL1_NAME,MA_LEVEL2_NAME,MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,
	MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,BU_LEVEL_NO,BU_PATH,
	MA_ID,MA_NUMBER,MA_TYPE,MA_LEVEL_NO,COMM_ID,INV_ID,INV_NUMBER,INV_TITLE,INV_DESCRIPTION,
	INV_CURRENCY,INV_STATUS,INV_PAIDAMOUNT_CURRENCY,INV_PAIDAMOUNT_AMOUNT,INV_RECONCILEDAMOUNT_CURRENCY,
	INV_RECONCILEDAMOUNT_AMOUNT,INV_NOTES,INV_CREATEDONDATE,Q_INV_CREATEDONDATE,INV_RECEIVEDONDATE,
	Q_INV_RECEIVEDONDATE,INV_DUEONDATE,Q_INV_DUEONDATE,INV_PAIDONDATE,Q_INV_PAIDONDATE,INV_RECONCILEDONDATE,
	Q_INV_RECONCILEDONDATE,INV_LASTUPDATEDONDATE,Q_INV_LASTUPDATEDONDATE,VENDORSID,VENDORNAME,
	VENDORDESCRIPTION,VENDORTYPE,VENDORURL)
	SELECT
	PLAN1.PLANID	AS PLANID,
	PLAN1.TITLE   AS PLAN_TITLE,
	PLAN1.FISCALYEAR   AS FISCALYEAR,
	0	AS BU_LEVEL1_ID,
		0	AS BU_LEVEL2_ID,
		0	AS BU_LEVEL3_ID,
		0	AS BU_LEVEL4_ID,
		0	AS BU_LEVEL5_ID,
		''''	AS BU_LEVEL1_NAME,
		''''	AS BU_LEVEL2_NAME,
		''''	AS BU_LEVEL3_NAME,
		''''	AS BU_LEVEL4_NAME,
		''''	AS BU_LEVEL5_NAME,
		0	AS MA_LEVEL1_NUMBER,
		0	AS MA_LEVEL2_NUMBER,
		0	AS MA_LEVEL3_NUMBER,
		0	AS MA_LEVEL4_NUMBER,
		0	AS MA_LEVEL5_NUMBER,
		''''	AS MA_LEVEL1_NAME,
		''''	AS MA_LEVEL2_NAME,
		''''	AS MA_LEVEL3_NAME,
		''''	AS MA_LEVEL4_NAME,
		''''	AS MA_LEVEL5_NAME,
		''''	AS MA_TYPE_LEVEL1_NAME,
		''''	AS MA_TYPE_LEVEL2_NAME,
		''''	AS MA_TYPE_LEVEL3_NAME,
		''''	AS MA_TYPE_LEVEL4_NAME,
	BU.BUSINESSUNITID	AS BU_ID,
	BU.NAME			AS BU_NAME,
	BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
	--
	MA1.MARKETINGACTIVITYID AS MA_ID,
	MA1.ACTIVITYNUMBER AS MA_NUMBER,
	CASE WHEN CHARINDEX(''$ALP$'',MA1.ACTIVITYTYPE) > 0 THEN REPLACE(MA1.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA1.ACTIVITYTYPE END  AS MA_TYPE,
	MA1.ACTIVITYLEVEL	AS MA_LEVEL_NO,
	NULL	AS COMM_ID,
	--
	INVOICE1.INVOICEID	AS  INV_ID,
	INVOICE1.INVOICENUMBER	AS  INV_NUMBER,
	INVOICE1.TITLE	AS  INV_TITLE,
	INVOICE1.DESCRIPTION	AS  INV_DESCRIPTION,
	INVOICE1.CURRENCYTYPE	AS  INV_CURRENCY,
	INVOICE1.STATUS	AS  INV_STATUS,
	INVOICE1.PAIDAMOUNT_C	AS  INV_PAIDAMOUNT_CURRENCY,
	INVOICE1.PAIDAMOUNT_A	AS  INV_PAIDAMOUNT_AMOUNT,
	INVOICE1.RECONCILEDAMOUNT_C	AS  INV_RECONCILEDAMOUNT_CURRENCY,
	INVOICE1.RECONCILEDAMOUNT_A	AS  INV_RECONCILEDAMOUNT_AMOUNT,
	INVOICE1.NOTES	AS  INV_NOTES,
	INVOICE1.INVOICECREATEDON	AS  INV_CREATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICECREATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICECREATEDON, '+@FISCAL_MONTH+') END AS Q_INV_CREATEDONDATE,
	INVOICE1.INVOICERECEIVEDON	AS  INV_RECEIVEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICERECEIVEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICERECEIVEDON, '+@FISCAL_MONTH+') END AS Q_INV_RECEIVEDONDATE,
	INVOICE1.INVOICEDUEON	AS  INV_DUEONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICEDUEON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICEDUEON, '+@FISCAL_MONTH+') END AS Q_INV_DUEONDATE,
	INVOICE1.INVOICEPAIDON	AS  INV_PAIDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICEPAIDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICEPAIDON, '+@FISCAL_MONTH+') END AS Q_INV_PAIDONDATE,
	INVOICE1.INVOICERECONCILEDON AS  INV_RECONCILEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICERECONCILEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICERECONCILEDON, '+@FISCAL_MONTH+') END AS Q_INV_RECONCILEDONDATE,
	INVOICE1.LASTUPDATEDON	AS  INV_LASTUPDATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS Q_INV_LASTUPDATEDONDATE,
	VENDORS1.VENDORSID	AS VENDORSID,
	VENDORS1.NAME	AS VENDORNAME,
	VENDORS1.DESCRIPTION	AS VENDORDESCRIPTION,
	VENDORS1.VENDORTYPE	AS VENDORTYPE,
	VENDORS1.URL	AS VENDORURL
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0 
	ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID

	INNER JOIN ALOM_ASSEMBLY A1
	ON A1.CONTAINERID = PLAN1.PLANID AND A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)
	INNER JOIN ALENT_MARKETINGACTIVITY MA1
	ON A1.CONTAINSID = MA1.MARKETINGACTIVITYID

	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 258169431586434 AND A2.CONTAINERID = MA1.MARKETINGACTIVITYID
	INNER JOIN ALENT_INVOICE INVOICE1
	ON A2.CONTAINSID = INVOICE1.INVOICEID

	INNER JOIN ALOM_ASSEMBLY A3 
	ON A3.RELATIONSHIPTYPEID = 120841619528864 AND A3.CONTAINERID = INVOICE1.INVOICEID
	INNER JOIN ALENT_VENDORS VENDORS1
	ON A3.CONTAINSID = VENDORS1.VENDORSID 
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLAN1.FISCALYEAR = FC.FISCALYEAR   
	UNION
	SELECT
	PLAN1.PLANID	AS PLANID,
	PLAN1.TITLE   AS PLAN_TITLE,
	PLAN1.FISCALYEAR   AS FISCALYEAR,
	0	AS BU_LEVEL1_ID,
		0	AS BU_LEVEL2_ID,
		0	AS BU_LEVEL3_ID,
		0	AS BU_LEVEL4_ID,
		0	AS BU_LEVEL5_ID,
		''''	AS BU_LEVEL1_NAME,
		''''	AS BU_LEVEL2_NAME,
		''''	AS BU_LEVEL3_NAME,
		''''	AS BU_LEVEL4_NAME,
		''''	AS BU_LEVEL5_NAME,
		0	AS MA_LEVEL1_NUMBER,
		0	AS MA_LEVEL2_NUMBER,
		0	AS MA_LEVEL3_NUMBER,
		0	AS MA_LEVEL4_NUMBER,
		0	AS MA_LEVEL5_NUMBER,
		''''	AS MA_LEVEL1_NAME,
		''''	AS MA_LEVEL2_NAME,
		''''	AS MA_LEVEL3_NAME,
		''''	AS MA_LEVEL4_NAME,
		''''	AS MA_LEVEL5_NAME,
		''''	AS MA_TYPE_LEVEL1_NAME,
		''''	AS MA_TYPE_LEVEL2_NAME,
		''''	AS MA_TYPE_LEVEL3_NAME,
		''''	AS MA_TYPE_LEVEL4_NAME,
	BU.BUSINESSUNITID	AS BU_ID,
	BU.NAME			AS BU_NAME,
	BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
	MA1.MARKETINGACTIVITYID AS MA_ID,
	MA1.ACTIVITYNUMBER AS MA_NUMBER,
	CASE WHEN CHARINDEX(''$ALP$'',MA1.ACTIVITYTYPE) > 0 THEN REPLACE(MA1.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA1.ACTIVITYTYPE END  AS MA_TYPE,
	MA1.ACTIVITYLEVEL  AS MA_LEVEL_NO,
	COMMIT1.COMMITMENTID	AS COMM_ID,
	--
	INVOICE1.INVOICEID	AS INV_ID,
	INVOICE1.INVOICENUMBER	AS INV_NUMBER,
	INVOICE1.TITLE	AS INV_TITLE,
	INVOICE1.DESCRIPTION	AS INV_DESCRIPTION,
	INVOICE1.CURRENCYTYPE	AS INV_CURRENCY,
	INVOICE1.STATUS	AS INV_STATUS,
	INVOICE1.PAIDAMOUNT_C	AS INV_PAIDAMOUNT_CURRENCY,
	INVOICE1.PAIDAMOUNT_A	AS INV_PAIDAMOUNT_AMOUNT,
	INVOICE1.RECONCILEDAMOUNT_C	AS INV_RECONCILEDAMOUNT_CURRENCY,
	INVOICE1.RECONCILEDAMOUNT_A	AS INV_RECONCILEDAMOUNT_AMOUNT,
	INVOICE1.NOTES	AS INV_NOTES,
	INVOICE1.INVOICECREATEDON	AS INV_CREATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICECREATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICECREATEDON, '+@FISCAL_MONTH+') END AS Q_INV_CREATEDONDATE,
	INVOICE1.INVOICERECEIVEDON	AS INV_RECEIVEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICERECEIVEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICERECEIVEDON, '+@FISCAL_MONTH+') END AS Q_INV_RECEIVEDONDATE,
	INVOICE1.INVOICEDUEON	AS INV_DUEONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICEDUEON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICEDUEON, '+@FISCAL_MONTH+') END AS Q_INV_DUEONDATE,
	INVOICE1.INVOICEPAIDON	AS INV_PAIDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICEPAIDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICEPAIDON, '+@FISCAL_MONTH+') END AS Q_INV_PAIDONDATE,
	INVOICE1.INVOICERECONCILEDON AS INV_RECONCILEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.INVOICERECONCILEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.INVOICERECONCILEDON, '+@FISCAL_MONTH+') END AS Q_INV_RECONCILEDONDATE,
	INVOICE1.LASTUPDATEDON	AS INV_LASTUPDATEDONDATE,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(INVOICE1.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(INVOICE1.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS Q_INV_LASTUPDATEDONDATE,
	VENDORS1.VENDORSID	AS VENDORID,
	VENDORS1.NAME	AS VENDORNAME,
	VENDORS1.DESCRIPTION	AS VENDORDESCRIPTION,
	VENDORS1.VENDORTYPE	AS VENDORTYPE,
	VENDORS1.URL	AS VENDORURL
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0 
	ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID

	INNER JOIN ALOM_ASSEMBLY A1
	ON A1.CONTAINERID = PLAN1.PLANID AND A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)
	INNER JOIN ALENT_MARKETINGACTIVITY MA1
	ON A1.CONTAINSID = MA1.MARKETINGACTIVITYID

	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 125025473564370 AND A2.CONTAINERID = MA1.MARKETINGACTIVITYID
	INNER JOIN ALENT_COMMITMENT COMMIT1
	ON A2.CONTAINSID = COMMIT1.COMMITMENTID

	INNER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 107998402773333 AND A3.CONTAINERID = COMMIT1.COMMITMENTID
	INNER JOIN ALENT_INVOICE INVOICE1
	ON A3.CONTAINSID = INVOICE1.INVOICEID

	INNER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 120841619528864 AND A4.CONTAINERID = INVOICE1.INVOICEID
	INNER JOIN ALENT_VENDORS VENDORS1
	ON A4.CONTAINSID = VENDORS1.VENDORSID 
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLAN1.FISCALYEAR = FC.FISCALYEAR ')


	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCOMMITMENT
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,
	BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,
	MA_LEVEL1_NUMBER,MA_LEVEL2_NUMBER,MA_LEVEL3_NUMBER,MA_LEVEL4_NUMBER,MA_LEVEL5_NUMBER,
	MA_LEVEL1_NAME,MA_LEVEL2_NAME,MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,
	MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,BU_LEVEL_NO,BU_PATH,
	MA_ID,MA_NUMBER,MA_TYPE,MA_LEVEL_NO,VENDORSID,VENDORNAME,VENDORDESCRIPTION,VENDORTYPE,VENDORURL,
	COMM_ID,COMM_NUMBER,COMM_TITLE,COMM_DESCRIPTION,COMM_CURRENCYTYPE,COMM_AMOUNT_CURRENCY,
	COMM_AMOUNT,COMM_STATUS,COMM_CREATEDON,QCOMMIT_CREATEDON,COMMITTEDON,QCOMMITTEDON,COMM_DUEON,
	QCOMMIT_DUEON,COMM_LASTUPDATEDON,QCOMMIT_LASTUPDATEDON,COMM_CLOSURENOTES,OS_COMM_AMOUNT_CURRENCY,
	OS_COMM_AMOUNT,COMM_CONTINUEDFLAG)
	SELECT
	PLAN1.PLANID	AS PLANID,
	PLAN1.TITLE   AS PLAN_TITLE,
	PLAN1.FISCALYEAR   AS FISCALYEAR,
	0	AS BU_LEVEL1_ID,
		0	AS BU_LEVEL2_ID,
		0	AS BU_LEVEL3_ID,
		0	AS BU_LEVEL4_ID,
		0	AS BU_LEVEL5_ID,
		''''	AS BU_LEVEL1_NAME,
		''''	AS BU_LEVEL2_NAME,
		''''	AS BU_LEVEL3_NAME,
		''''	AS BU_LEVEL4_NAME,
		''''	AS BU_LEVEL5_NAME,
		0	AS MA_LEVEL1_NUMBER,
		0	AS MA_LEVEL2_NUMBER,
		0	AS MA_LEVEL3_NUMBER,
		0	AS MA_LEVEL4_NUMBER,
		0	AS MA_LEVEL5_NUMBER,
		''''	AS MA_LEVEL1_NAME,
		''''	AS MA_LEVEL2_NAME,
		''''	AS MA_LEVEL3_NAME,
		''''	AS MA_LEVEL4_NAME,
		''''	AS MA_LEVEL5_NAME,
		''''	AS MA_TYPE_LEVEL1_NAME,
		''''	AS MA_TYPE_LEVEL2_NAME,
		''''	AS MA_TYPE_LEVEL3_NAME,
		''''	AS MA_TYPE_LEVEL4_NAME,
	BU.BUSINESSUNITID	AS BU_ID,
	BU.NAME			AS BU_NAME,
	BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
	--
	MA1.MARKETINGACTIVITYID	AS MA_ID,
	MA1.ACTIVITYNUMBER	AS MA_NUMBER,
	--
	CASE WHEN CHARINDEX(''$ALP$'',MA1.ACTIVITYTYPE) > 0 THEN REPLACE(MA1.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA1.ACTIVITYTYPE END  AS MA_TYPE,
	MA1.ACTIVITYLEVEL	AS MA_LEVEL_NO,
	--
	VENDORS1.VENDORSID	AS VENDORSID,
	VENDORS1.NAME	AS VENDORNAME,
	VENDORS1.DESCRIPTION  AS VENDORDESCRIPTION,
	VENDORS1.VENDORTYPE  AS VENDORTYPE,
	VENDORS1.URL  AS VENDORURL,
	COMMIT1.COMMITMENTID	AS  COMM_ID,
	COMMIT1.COMMITMENTNUMBER	AS  COMM_NUMBER,
	COMMIT1.TITLE	AS  COMM_TITLE,
	COMMIT1.DESCRIPTION	AS  COMM_DESCRIPTION,
	COMMIT1.CURRENCYTYPE	AS  COMM_CURRENCYTYPE,
	COMMIT1.INITIALCOMMITTEDAMOUNT_C	AS COMM_AMOUNT_CURRENCY,
	COMMIT1.INITIALCOMMITTEDAMOUNT_A	AS COMM_AMOUNT,
	COMMIT1.STATUS	AS  COMM_STATUS,
	COMMIT1.CREATEDON	AS  COMM_CREATEDON,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(COMMIT1.CREATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(COMMIT1.CREATEDON, '+@FISCAL_MONTH+') END  AS  QCOMMIT_CREATEDON,
	COMMIT1.COMMITTEDON	AS COMMITTEDON,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(COMMIT1.COMMITTEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(COMMIT1.COMMITTEDON, '+@FISCAL_MONTH+') END  AS QCOMMITTEDON,
	COMMIT1.DUEON	AS  COMM_DUEON,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(COMMIT1.DUEON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(COMMIT1.DUEON, '+@FISCAL_MONTH+') END  AS QCOMMIT_DUEON,
	COMMIT1.LASTUPDATEDON	AS  COMM_LASTUPDATEDON,
	CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(COMMIT1.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(COMMIT1.LASTUPDATEDON, '+@FISCAL_MONTH+') END  AS QCOMMIT_LASTUPDATEDON,
	COMMIT1.CLOSURENOTES	AS  COMM_CLOSURENOTES,
	COMMIT1.OUTSTANDINGCOMMITTEDAMOUNT_C	AS OS_COMM_AMOUNT_CURRENCY,
	COMMIT1.OUTSTANDINGCOMMITTEDAMOUNT_A	AS OS_COMM_AMOUNT,
	COMMIT1.CONTINUEDFLAG	AS  COMM_CONTINUEDFLAG
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0 
	ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID

	INNER JOIN ALOM_ASSEMBLY A1
	ON A1.CONTAINERID = PLAN1.PLANID AND A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)
	INNER JOIN ALENT_MARKETINGACTIVITY MA1
	ON A1.CONTAINSID = MA1.MARKETINGACTIVITYID

	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 125025473564370 AND A2.CONTAINERID = MA1.MARKETINGACTIVITYID
	INNER JOIN ALENT_COMMITMENT COMMIT1
	ON A2.CONTAINSID = COMMIT1.COMMITMENTID

	LEFT OUTER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 108560141899931 AND A3.CONTAINERID = COMMIT1.COMMITMENTID
	LEFT OUTER JOIN ALENT_VENDORS VENDORS1
	ON A3.CONTAINSID = VENDORS1.VENDORSID 
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLAN1.FISCALYEAR = FC.FISCALYEAR ')


	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCOMMITMENTLINEITEMS
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,BU_LEVEL5_ID,
	BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,MA_LEVEL1_NUMBER,
	MA_LEVEL2_NUMBER,MA_LEVEL3_NUMBER,MA_LEVEL4_NUMBER,MA_LEVEL5_NUMBER,MA_LEVEL1_NAME,
	MA_LEVEL2_NAME,MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,
	MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,BU_LEVEL_NO,
	BU_PATH,MA_ID,MA_NUMBER,MA_TYPE,MA_LEVEL_NO,COMM_ID,COSTCATEGORYID,COSTCATEGORY_NAME,
	COSTCATEGORY_DESCRIPTION,COSTCATEGORY_NO,COSTCATEGORY_ISOBSOLETE,LI_ID,LI_DESCRIPTION,LI_RATE_CURRENCY,
	LI_RATE_AMOUNT,LI_RATEUNITS,LI_QUANTITY,LI_AMOUNT_CURRENCY,LI_AMOUNT,LI_SEQUENCEORDER,
	FA_NAME,FA_NUMBER,VENDORSID,VENDORNAME,VENDORDESCRIPTION,VENDORTYPE,VENDORURL)
	SELECT
	PLAN1.PLANID	AS PLANID,
	PLAN1.TITLE   AS PLAN_TITLE,
	PLAN1.FISCALYEAR   AS FISCALYEAR,
	0	AS BU_LEVEL1_ID,
		0	AS BU_LEVEL2_ID,
		0	AS BU_LEVEL3_ID,
		0	AS BU_LEVEL4_ID,
		0	AS BU_LEVEL5_ID,
		''''	AS BU_LEVEL1_NAME,
		''''	AS BU_LEVEL2_NAME,
		''''	AS BU_LEVEL3_NAME,
		''''	AS BU_LEVEL4_NAME,
		''''	AS BU_LEVEL5_NAME,
		0	AS MA_LEVEL1_NUMBER,
		0	AS MA_LEVEL2_NUMBER,
		0	AS MA_LEVEL3_NUMBER,
		0	AS MA_LEVEL4_NUMBER,
		0	AS MA_LEVEL5_NUMBER,
		''''	AS MA_LEVEL1_NAME,
		''''	AS MA_LEVEL2_NAME,
		''''	AS MA_LEVEL3_NAME,
		''''	AS MA_LEVEL4_NAME,
		''''	AS MA_LEVEL5_NAME,
		''''	AS MA_TYPE_LEVEL1_NAME,
		''''	AS MA_TYPE_LEVEL2_NAME,
		''''	AS MA_TYPE_LEVEL3_NAME,
		''''	AS MA_TYPE_LEVEL4_NAME,
	BU.BUSINESSUNITID	AS BU_ID,
	BU.NAME			AS BU_NAME,
	BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
	MA1.MARKETINGACTIVITYID	AS MA_ID,
	MA1.ACTIVITYNUMBER	AS MA_NUMBER,
	--
	CASE WHEN CHARINDEX(''$ALP$'',MA1.ACTIVITYTYPE) > 0 THEN REPLACE(MA1.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA1.ACTIVITYTYPE END  AS MA_TYPE,
	MA1.ACTIVITYLEVEL	AS MA_LEVEL_NO,
	COMMIT1.COMMITMENTID	AS COMM_ID,
	CC.COSTCATEGORYID	AS COSTCATEGORYID,
	CC.NAME AS COSTCATEGORYNAME,
	CC.DESCRIPTION	AS COSTCATEGORYDESCRIPTION,
	CC.COSTCATEGORYNUMBER	AS COSTCATEGORYNUMBER,
	CC.ISOBSOLETE  AS COSTCATEGORY_ISOBSOLETE,
	LINEITEMS.LINEITEMSID	AS LI_ID,
	LINEITEMS.DESCRIPTION	AS LI_DESCRIPTION,
	LINEITEMS.RATE_C	AS LI_RATE_CURRENCY,
	LINEITEMS.RATE_A	AS LI_RATE_AMOUNT,
	LINEITEMS.RATEUNITS	AS LI_RATEUNITS,
	LINEITEMS.QUANTITY	AS LI_QUANTITY,
	LINEITEMS.ITEMAMOUNT_C	AS LI_AMOUNT_CURRENCY,
	LINEITEMS.ITEMAMOUNT_A	AS LI_AMOUNT,
	LINEITEMS.SEQUENCEORDER	AS LI_SEQUENCEORDER,
	FA.NAME		AS FA_NAME,
	FA.FINANCIALACCOUNTNUMBER	AS	FA_NUMBER,
	VENDORS1.VENDORSID	AS VENDORSID,
	VENDORS1.NAME	AS VENDORNAME,
	VENDORS1.DESCRIPTION	AS VENDORDESCRIPTION,
	VENDORS1.VENDORTYPE	AS VENDORTYPE,
	VENDORS1.URL	AS VENDORURL
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0 
	ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID

	INNER JOIN ALOM_ASSEMBLY A1
	ON A1.CONTAINERID = PLAN1.PLANID AND A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)
	INNER JOIN ALENT_MARKETINGACTIVITY MA1
	ON A1.CONTAINSID = MA1.MARKETINGACTIVITYID

	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 125025473564370 AND A2.CONTAINERID = MA1.MARKETINGACTIVITYID
	INNER JOIN ALENT_COMMITMENT COMMIT1
	ON A2.CONTAINSID = COMMIT1.COMMITMENTID

	INNER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID = 25553974373469 AND ASF1.ENTITYID = COMMIT1.COMMITMENTID
	INNER JOIN ALFCT_LINEITEMS LINEITEMS
	ON ASF1.FACETID = LINEITEMS.LINEITEMSID

	LEFT OUTER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 108560141899931 AND A4.CONTAINERID = COMMIT1.COMMITMENTID
	LEFT OUTER JOIN ALENT_VENDORS VENDORS1
	ON A4.CONTAINSID = VENDORS1.VENDORSID

	LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2
	ON AEF2.RELATIONSHIPTYPEID = 155952577195191 AND AEF2.FACETID = LINEITEMS.LINEITEMSID
	LEFT OUTER JOIN ALENT_COSTCATEGORY CC
	ON AEF2.ENTITYID = CC.COSTCATEGORYID

	LEFT OUTER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 241217859337743 AND A3.CONTAINERID = CC.COSTCATEGORYID
	LEFT OUTER JOIN ALENT_FINANCIALACCOUNT FA
	ON A3.CONTAINSID = FA.FINANCIALACCOUNTID ')


	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMADISTRIBUTIONCHANNEL
	(MA_ID,MA_NUMBER,DISTRIBUTIONCHANNELSID,DISTRIBUTIONCHANNELNAME,DISTRIBUTIONCHANNELDESCRIPTION)
	SELECT 
	MA.MARKETINGACTIVITYID AS MA_ID, 
	MA.ACTIVITYNUMBER AS MA_NUMBER,
	DC.DISTRIBUTIONCHANNELSID,
	DC.NAME DISTRIBUTIONCHANNELNAME,
	DC.DESCRIPTION  AS DISTRIBUTIONCHANNELDESCRIPTION
	FROM 
	ALENT_MARKETINGACTIVITY MA INNER JOIN ALOM_ASSOENTITYFACET AEF 
	ON AEF.RELATIONSHIPTYPEID = 12390788725169 AND AEF.ENTITYID = MA.MARKETINGACTIVITYID
	INNER JOIN ALFCT_DISTRIBUTIONCHANNELS DC 
	ON AEF.FACETID = DC.DISTRIBUTIONCHANNELSID ')

	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMAPRODUCTINFO
	(MA_ID,MA_NUMBER,PRODUCTINFORMATIONID,PRODUCTINFONAME,PRODUCTINFODESCRIPTION)
	SELECT MA.MARKETINGACTIVITYID AS MA_ID, 
	MA.ACTIVITYNUMBER AS MA_NUMBER,
	PINFO.PRODUCTINFORMATIONID,
	PINFO.NAME  AS PRODUCTINFONAME,
	PINFO.DESCRIPTION AS PRODUCTINFODESCRIPTION
	FROM 
	ALENT_MARKETINGACTIVITY MA INNER JOIN ALOM_ASSOENTITYFACET AEF 
	ON AEF.RELATIONSHIPTYPEID = 87243085828068 AND AEF.ENTITYID = MA.MARKETINGACTIVITYID
	INNER JOIN ALFCT_PRODUCTINFORMATION PINFO ON AEF.FACETID = PINFO.PRODUCTINFORMATIONID ')


	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCOSTCENTERALLOCATION
	(PLANID,PLAN_TITLE,FISCALYEAR,MA_ID,MA_NAME,MA_NUMBER,MABUDGETALLOCATIONID,MACOSTCENTERNAME,
	MAALLOCATEDAMOUNT_CURRENCY,MABUDGETALLOCATED_AMOUNT,MAUNUTILISEDAMOUNT_CURRENCY,
	MAUNUTILISED_AMOUNT,BALASTUPDATEDON,QBALASTUPDATEDON)
	SELECT
		PLAN1.PLANID	AS PLANID,
		PLAN1.TITLE   AS PLAN_TITLE,
		PLAN1.FISCALYEAR   AS FISCALYEAR,
		0	AS MA_ID,
		CAST('''' AS NVARCHAR(256))	AS MA_NAME,
		CAST(''''  AS NVARCHAR(255))		AS MA_NUMBER,
		BA.BUDGETALLOCATIONID AS MABUDGETALLOCATIONID,
		BA.COSTCENTERNAME	AS MACOSTCENTERNAME,
		BA.ALLOCATEDAMOUNT_C ,
		BA.ALLOCATEDAMOUNT_A AS MABUDGETALLOCATED_AMOUNT,
		BA.UNUTILISEDAMOUNT_C ,
		BA.UNUTILISEDAMOUNT_A AS MAUNUTILISED_AMOUNT,
		BA.LASTUPDATEDON  AS BALASTUPDATEDON,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(BA.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(BA.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS QBALASTUPDATEDON
	FROM
	ALENT_PLAN  PLAN1 INNER JOIN ALOM_ASSOENTITYFACET ASF3
	ON ASF3.RELATIONSHIPTYPEID = 149106294198097 AND ASF3.ENTITYID = PLAN1.PLANID
	INNER JOIN ALFCT_BUDGETALLOCATION BA
	ON ASF3.FACETID = BA.BUDGETALLOCATIONID  
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLAN1.FISCALYEAR = FC.FISCALYEAR 
	UNION
	SELECT 
		0	AS PLANID,
		CAST('''' AS NVARCHAR(256))	AS PLAN_TITLE,
		CAST(''''  AS BIGINT)		AS FISCALYEAR,
		MA.MARKETINGACTIVITYID AS MA_ID,
		MA.NAME   AS MA_NAME,
		MA.ACTIVITYNUMBER  AS MA_NUMBER,
		BA.BUDGETALLOCATIONID AS MABUDGETALLOCATIONID,
		BA.COSTCENTERNAME	AS MACOSTCENTERNAME,
		BA.ALLOCATEDAMOUNT_C AS MAALLOCATEDAMOUNT_CURRENCYTYPE,
		BA.ALLOCATEDAMOUNT_A AS MABUDGETALLOCATEDAMOUNT,
		BA.UNUTILISEDAMOUNT_C AS MAUNUTILISEDAMOUNT_CURRENCYTYPE,
		BA.UNUTILISEDAMOUNT_A AS MAUNUTILISEDAMOUNT,
		BA.LASTUPDATEDON  AS BALASTUPDATEDON,
		CASE WHEN FC.DURATIONTYPE = ''PERIOD'' THEN DBO.GET_QTR_OF_PERIOD_ODS(BA.LASTUPDATEDON,FC.FISCALYEAR) ELSE dbo.ODSGetQuarterOfDate(BA.LASTUPDATEDON, '+@FISCAL_MONTH+') END AS QBALASTUPDATEDON
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND A1.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_MARKETINGACTIVITY MA 
	ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
	INNER JOIN ALOM_ASSOENTITYFACET ASF3
	ON ASF3.RELATIONSHIPTYPEID = 240469225016081 AND ASF3.ENTITYID = MA.MARKETINGACTIVITYID
	INNER JOIN ALFCT_BUDGETALLOCATION BA
	ON ASF3.FACETID = BA.BUDGETALLOCATIONID 
	LEFT OUTER JOIN ALENT_FORECASTCONFIGURATION FC
	ON PLAN1.FISCALYEAR = FC.FISCALYEAR ')


	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMAOBJECTIVES
	(MA_ID,MA_NUMBER,OBJECTIVESID,OBJECTIVESDESCRIPTION,OBJECTIVESNAME)
	SELECT 
	MARKETINGACTIVITYID AS MA_ID, 
	MA.ACTIVITYNUMBER AS MA_NUMBER,
	O.OBJECTIVESID,O.DESCRIPTION AS OBJECTIVESDESCRIPTION,O.NAME OBJECTIVENAME
	FROM 
	ALENT_MARKETINGACTIVITY MA INNER JOIN ALOM_ASSOENTITYFACET AEF 
	ON AEF.RELATIONSHIPTYPEID = 82847119884827 AND AEF.ENTITYID = MA.MARKETINGACTIVITYID
	INNER JOIN ALFCT_OBJECTIVES O 
	ON AEF.FACETID = O.OBJECTIVESID ')


	EXEC ('  INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSPLANOBJECTIVES
	(PLANID,PLAN_TITLE,OBJECTIVESID,OBJECTIVESDESCRIPTION,OBJECTIVENAME)
	SELECT P.PLANID, P.TITLE AS PLAN_TITLE , O.OBJECTIVESID,O.DESCRIPTION AS OBJECTIVESDESCRIPTION, O.NAME
	FROM 
	ALENT_PLAN P INNER JOIN ALOM_ASSOENTITYFACET AEF 
	ON AEF.RELATIONSHIPTYPEID = 172068930634736 AND AEF.ENTITYID = P.PLANID
	INNER JOIN ALFCT_OBJECTIVES O 
	ON AEF.FACETID = O.OBJECTIVESID ')


	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSMATARGETSEGMENTS
	(MA_ID,MA_NUMBER,TARGETSEGMENTSID,TARGETSEGMENTSDESCRIPTION,TARGETSEGMENTNAME)
	SELECT 
	MARKETINGACTIVITYID AS MA_ID, 
	MA.ACTIVITYNUMBER AS MA_NUMBER,
	TS.TARGETSEGMENTSID,
	TS.DESCRIPTION AS TARGETSEGMENTSDESCRIPTION,
	TS.NAME TARGETSEGMENTNAME
	FROM 
	ALENT_MARKETINGACTIVITY MA INNER JOIN ALOM_ASSOENTITYFACET AEF 
	ON AEF.RELATIONSHIPTYPEID = 245362286781523 AND AEF.ENTITYID = MA.MARKETINGACTIVITYID
	INNER JOIN ALFCT_TARGETSEGMENTS TS ON AEF.FACETID = TS.TARGETSEGMENTSID ')

	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALOM_ODSNAMEDHIERARCHY
	(NAMEDHIERARCHYID,NAME,DESCRIPTION,PARENTID,NOOFCHILDREN,DEFAULTORDER,OBSOLETE,PATH,ISBUILTIN,ISCHILDALLOWED,DISPLAYTEXTID)
	SELECT NAMEDHIERARCHYID,NAME,DESCRIPTION,PARENTID,NOOFCHILDREN,DEFAULTORDER,OBSOLETE,PATH,ISBUILTIN,ISCHILDALLOWED,DISPLAYTEXTID
	FROM ALOM_NAMEDHIERARCHY ')

	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'BU_HIERARCHY
	SELECT BU1.BUSINESSUNITID BU1_ID,BU1.NAME  BU1_NAME,
	BU2.BUSINESSUNITID BU2_ID,BU2.NAME BU2_NAME,
	BU3.BUSINESSUNITID BU3_ID,BU3.NAME BU3_NAME,
	BU4.BUSINESSUNITID BU4_ID,BU4.NAME BU4_NAME,
	BU5.BUSINESSUNITID BU5_ID,BU5.NAME BU5_NAME
	FROM
	ALENT_BUSINESSUNIT BU1 LEFT OUTER JOIN ALOM_ASSEMBLY A1
	ON BU1.BUSINESSUNITLEVEL = 0 AND A1.RELATIONSHIPTYPEID = 159996574572355 AND A1.CONTAINERID = BU1.BUSINESSUNITID
	LEFT OUTER JOIN ALENT_BUSINESSUNIT BU2
	ON A1.CONTAINSID = BU2.BUSINESSUNITID
	LEFT OUTER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 159996574572355 AND A2.CONTAINERID = BU2.BUSINESSUNITID
	LEFT OUTER JOIN ALENT_BUSINESSUNIT BU3
	ON A2.CONTAINSID = BU3.BUSINESSUNITID

	LEFT OUTER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 159996574572355 AND A3.CONTAINERID = BU3.BUSINESSUNITID
	LEFT OUTER JOIN ALENT_BUSINESSUNIT BU4
	ON A3.CONTAINSID = BU4.BUSINESSUNITID

	LEFT OUTER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 159996574572355 AND A4.CONTAINERID = BU4.BUSINESSUNITID
	LEFT OUTER JOIN ALENT_BUSINESSUNIT BU5
	ON A4.CONTAINSID = BU5.BUSINESSUNITID ')
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'MA_HIERARCHY
	SELECT MA1.MARKETINGACTIVITYID MAID_L1,MA1.NAME MANAME_L1,MA1.ACTIVITYNUMBER MA1_NUMBER,
	MA2.MARKETINGACTIVITYID MAID_L2,MA2.NAME MANAME_L2,MA2.ACTIVITYNUMBER MA2_NUMBER,
	MA3.MARKETINGACTIVITYID MAID_L3,MA3.NAME MANAME_L3,MA3.ACTIVITYNUMBER MA3_NUMBER,
	MA4.MARKETINGACTIVITYID MAID_L4,MA4.NAME MANAME_L4,MA4.ACTIVITYNUMBER MA4_NUMBER,
	MA5.MARKETINGACTIVITYID MAID_L5,MA5.NAME MANAME_L5,MA5.ACTIVITYNUMBER MA5_NUMBER, '+''''+@MA_TYPE_SEPARATOR+''''+'  
	FROM
	ALENT_PLAN PLAN1 LEFT OUTER JOIN ALOM_ASSEMBLY A1
	ON A1.CONTAINERID = PLAN1.PLANID AND A1.RELATIONSHIPTYPEID = 38934607864244
	LEFT OUTER JOIN ALENT_MARKETINGACTIVITY MA1
	ON A1.CONTAINSID = MA1.MARKETINGACTIVITYID
	LEFT OUTER join ALOM_ASSEMBLY A2
	ON MA1.MARKETINGACTIVITYID = A2.CONTAINERID AND A2.RELATIONSHIPTYPEID = 56942662476619
	LEFT OUTER JOIN ALENT_MARKETINGACTIVITY MA2
	ON A2.CONTAINSID = MA2.MARKETINGACTIVITYID
	LEFT OUTER join ALOM_ASSEMBLY A3
	ON MA2.MARKETINGACTIVITYID = A3.CONTAINERID AND A3.RELATIONSHIPTYPEID = 56942662476619
	LEFT OUTER JOIN ALENT_MARKETINGACTIVITY MA3
	ON A3.CONTAINSID = MA3.MARKETINGACTIVITYID
	LEFT OUTER join ALOM_ASSEMBLY A4
	ON MA3.MARKETINGACTIVITYID = A4.CONTAINERID AND A4.RELATIONSHIPTYPEID = 56942662476619
	LEFT OUTER JOIN ALENT_MARKETINGACTIVITY MA4
	ON A4.CONTAINSID = MA4.MARKETINGACTIVITYID
	LEFT OUTER join ALOM_ASSEMBLY A5
	ON MA4.MARKETINGACTIVITYID = A5.CONTAINERID AND A5.RELATIONSHIPTYPEID = 56942662476619
	LEFT OUTER JOIN ALENT_MARKETINGACTIVITY MA5
	ON A5.CONTAINSID = MA5.MARKETINGACTIVITYID ')
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALOM_RELATIONSHIPTYPES  
	(RELATIONSHIPTYPEID,CONTAINERTYPEID,CONTAINERTYPE,CONTAINSTYPEID,CONTAINSTYPE,RELATIONSHIPNAME,RELATIONSHIPTYPE,RELATIONSHIPDISPLAYNAME,ISSERIES,ISODS)
	SELECT  RELATIONSHIPTYPEID,CONTAINERTYPEID,CONTAINERTYPE,CONTAINSTYPEID,CONTAINSTYPE,RELATIONSHIPNAME,RELATIONSHIPTYPE,RELATIONSHIPDISPLAYNAME,ISSERIES,ISODS 
	FROM ALOM_RELATIONSHIPTYPES WHERE RELATIONSHIPNAME LIKE ''ODS_%''')
	
	/*  ODS ESTIMATE TABLES  */
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSESTIMATES  
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,
	BU_LEVEL4_ID,BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,
	BU_LEVEL4_NAME,BU_LEVEL5_NAME,MA_LEVEL1_NUMBER,MA_LEVEL2_NUMBER,MA_LEVEL3_NUMBER,
	MA_LEVEL4_NUMBER,MA_LEVEL5_NUMBER,MA_LEVEL1_NAME,MA_LEVEL2_NAME,MA_LEVEL3_NAME,
	MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,
	MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,BU_LEVEL_NO,BU_PATH,MA_ID,MA_NUMBER,MA_TYPE,
	MA_LEVEL_NO,EST_ID,EST_TITLE,EST_STATUS,EST_NUMBER,EST_STARTDATE,EST_ENDDATE,EST_CURRENCYTYPE,
	EST_COST_C,EST_COST_A,EST_MODE,EST_CREATEDON,EST_LASTUPDATEDON,EST_QUANTITY,EST_PREVIOUSSTATUS,
	EST_CREATEDBY,VENDORID,VENDORNAME,VENDORDESCRIPTION,VENDORTYPE,VENDORISOBSOLETE,VENDORNUMBER,VENDORURL,
	EST_CREATEDBY_FNAME,EST_CREATEDBY_MNAME,EST_CREATEDBY_LNAME)
	SELECT
	PLAN1.PLANID	AS PLANID,
	PLAN1.TITLE   AS PLAN_TITLE,
	PLAN1.FISCALYEAR   AS FISCALYEAR,
	0	AS BU_LEVEL1_ID,
	0	AS BU_LEVEL2_ID,
	0	AS BU_LEVEL3_ID,
	0	AS BU_LEVEL4_ID,
	0	AS BU_LEVEL5_ID,
	''''	AS BU_LEVEL1_NAME,
	''''	AS BU_LEVEL2_NAME,
	''''	AS BU_LEVEL3_NAME,
	''''	AS BU_LEVEL4_NAME,
	''''	AS BU_LEVEL5_NAME,
	0	AS MA_LEVEL1_NUMBER,
	0	AS MA_LEVEL2_NUMBER,
	0	AS MA_LEVEL3_NUMBER,
	0	AS MA_LEVEL4_NUMBER,
	0	AS MA_LEVEL5_NUMBER,
	''''	AS MA_LEVEL1_NAME,
	''''	AS MA_LEVEL2_NAME,
	''''	AS MA_LEVEL3_NAME,
	''''	AS MA_LEVEL4_NAME,
	''''	AS MA_LEVEL5_NAME,
	''''	AS MA_TYPE_LEVEL1_NAME,
	''''	AS MA_TYPE_LEVEL2_NAME,
	''''	AS MA_TYPE_LEVEL3_NAME,
	''''	AS MA_TYPE_LEVEL4_NAME,
	BU.BUSINESSUNITID	AS BU_ID,
	BU.NAME			AS BU_NAME,
	BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
	MA1.MARKETINGACTIVITYID	AS MA_ID,
	MA1.ACTIVITYNUMBER	AS MA_NUMBER,
	CASE WHEN CHARINDEX(''$ALP$'',MA1.ACTIVITYTYPE) > 0 THEN REPLACE(MA1.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA1.ACTIVITYTYPE END  AS MA_TYPE,
	MA1.ACTIVITYLEVEL	AS MA_LEVEL_NO,
	EST.ESTIMATEID   AS  EST_ID,
	EST.TITLE   AS  EST_TITLE,
	EST.STATUS   AS  EST_STATUS,
	EST.ESTIMATENUMBER   AS  EST_NUMBER,
	EST.ESTIMATESTARTDATE   AS  EST_STARTDATE,
	EST.ESTIMATEENDDATE   AS  EST_ENDDATE,
	EST.CURRENCYTYPE   AS  EST_CURRENCYTYPE,
	EST.ESTIMATECOST_C   AS  EST_COST_C,
	EST.ESTIMATECOST_A   AS  EST_COST_A,
	EST.ESTIMATEMODE   AS  EST_MODE,
	EST.CREATEDON   AS  EST_CREATEDON,
	EST.LASTUPDATEDON   AS  EST_LASTUPDATEDON,
	EST.ESTIMATEQUANTITY   AS  EST_QUANTITY,
	EST.PREVIOUSSTATUS   AS  EST_PREVIOUSSTATUS,
	USER1.LOGINNAME  AS  EST_CREATEDBY,
	VENDORS.VENDORSID   AS  VENDORID,
	VENDORS.NAME   AS  VENDORNAME,
	VENDORS.DESCRIPTION   AS  VENDORDESCRIPTION,
	VENDORS.VENDORTYPE   AS  VENDORTYPE,
	VENDORS.ISOBSOLETE   AS  VENDORISOBSOLETE,
	VENDORS.VENDORNUMBER   AS  VENDORNUMBER,
	VENDORS.URL   AS  VENDORURL,
	USER1.FIRSTNAME,USER1.MIDDLEINITIAL,USER1.LASTNAME
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0 
	ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID
	
	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)  AND A2.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_MARKETINGACTIVITY MA1
	ON A2.CONTAINSID = MA1.MARKETINGACTIVITYID
	
	INNER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 164680007970996 AND A3.CONTAINERID = MA1.MARKETINGACTIVITYID
	INNER JOIN ALENT_ESTIMATE EST
	ON A3.CONTAINSID = EST.ESTIMATEID
	
	INNER JOIN ALOM_ASSEMBLY A5
	ON A5.RELATIONSHIPTYPEID = 156752756800802 AND A5.CONTAINERID = EST.ESTIMATEID
	INNER JOIN ALENT_USER USER1
	ON A5.CONTAINSID = USER1.USERID
	
	INNER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 268753845302731 AND A4.CONTAINERID = EST.ESTIMATEID
	INNER JOIN ALENT_VENDORS VENDORS
	ON A4.CONTAINSID = VENDORS.VENDORSID ')
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSESTLINEITEM 
	(PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,BU_LEVEL4_ID,
	BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,
	MA_LEVEL1_NUMBER,MA_LEVEL2_NUMBER,MA_LEVEL3_NUMBER,MA_LEVEL4_NUMBER,MA_LEVEL5_NUMBER,
	MA_LEVEL1_NAME,MA_LEVEL2_NAME,MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,
	MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,BU_LEVEL_NO,BU_PATH,
	MA_ID,MA_NUMBER,MA_TYPE,MA_LEVEL_NO,EST_ID,EST_TITLE,EST_STATUS,EST_NUMBER,EST_STARTDATE,
	EST_ENDDATE,VENDORID,VENDORNAME,VENDORTYPE,VENDORNUMBER,WI_ID,WI_TITLE,WI_NUMBER,WI_COST_C,
	WI_COST_A,WI_CREATEDON,WI_LASTUPDATEDON,WI_QUANTITY,WI_ISLOCKED,WI_LOCKEDON,WI_LOCKEDSESSIONID,
	WI_INFOID,WI_CATEGORY,WI_STRATEGICVALUE,WI_TYPE,WI_NOTE,WLI_ID,WLI_RES_CAT_NAME,WLI_CATEGORYDESCRIPTION,
	WLI_UNITOFMEASUREMENT,WLI_MIN_VOLUME,WLI_MAX_VOLUME,WLI_RATE_C,WLI_RATE_A,WLI_QUANTITY,WLI_TOTALCOST_C,
	WLI_TOTALCOST_A,WLI_BILLINGTYPE,WLI_RES_CAT_PATH,WLI_RES_CAT_LEVEL1_NAME,WLI_RES_CAT_LEVEL2_NAME,
	WLI_RES_CAT_LEVEL3_NAME,WLI_RES_CAT_LEVEL4_NAME,WLI_RES_CAT_LEVEL5_NAME)
	SELECT
	PLAN1.PLANID	AS PLANID,
	PLAN1.TITLE   AS PLAN_TITLE,
	PLAN1.FISCALYEAR   AS FISCALYEAR,
	0	AS BU_LEVEL1_ID,
	0	AS BU_LEVEL2_ID,
	0	AS BU_LEVEL3_ID,
	0	AS BU_LEVEL4_ID,
	0	AS BU_LEVEL5_ID,
	''''	AS BU_LEVEL1_NAME,
	''''	AS BU_LEVEL2_NAME,
	''''	AS BU_LEVEL3_NAME,
	''''	AS BU_LEVEL4_NAME,
	''''	AS BU_LEVEL5_NAME,
	0	AS MA_LEVEL1_NUMBER,
	0	AS MA_LEVEL2_NUMBER,
	0	AS MA_LEVEL3_NUMBER,
	0	AS MA_LEVEL4_NUMBER,
	0	AS MA_LEVEL5_NUMBER,
	''''	AS MA_LEVEL1_NAME,
	''''	AS MA_LEVEL2_NAME,
	''''	AS MA_LEVEL3_NAME,
	''''	AS MA_LEVEL4_NAME,
	''''	AS MA_LEVEL5_NAME,
	''''	AS MA_TYPE_LEVEL1_NAME,
	''''	AS MA_TYPE_LEVEL2_NAME,
	''''	AS MA_TYPE_LEVEL3_NAME,
	''''	AS MA_TYPE_LEVEL4_NAME,
	BU.BUSINESSUNITID	AS BU_ID,
	BU.NAME			AS BU_NAME,
	BU.BUSINESSUNITLEVEL    AS BU_LEVEL_NO,
	CASE WHEN CHARINDEX(''$'',BU.PATH) > 0 THEN REPLACE(BU.PATH,''$'','' >> '') ELSE BU.PATH END  AS BU_PATH,
	MA1.MARKETINGACTIVITYID	AS MA_ID,
	MA1.ACTIVITYNUMBER	AS MA_NUMBER,
	CASE WHEN CHARINDEX(''$ALP$'',MA1.ACTIVITYTYPE) > 0 THEN REPLACE(MA1.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA1.ACTIVITYTYPE END  AS MA_TYPE,
	MA1.ACTIVITYLEVEL	AS MA_LEVEL_NO,
	EST.ESTIMATEID   AS  EST_ID,
	EST.TITLE   AS  EST_TITLE,
	EST.STATUS   AS  EST_STATUS,
	EST.ESTIMATENUMBER   AS  EST_NUMBER,
	EST.ESTIMATESTARTDATE   AS  EST_STARTDATE,
	EST.ESTIMATEENDDATE   AS  EST_ENDDATE,
	VENDORS.VENDORSID   AS  VENDORID,
	VENDORS.NAME   AS  VENDORNAME,
	VENDORS.VENDORTYPE   AS  VENDORTYPE,
	VENDORS.VENDORNUMBER   AS  VENDORNUMBER,
	WI.WORKITEMID     AS  WI_ID,
	WI.TITLE     AS  WI_TITLE,
	WI.WORKITEMNUMBER     AS  WI_NUMBER,
	WI.WORKITEMCOST_C     AS  WI_COST_C,
	WI.WORKITEMCOST_A     AS  WI_COST_A,
	WI.CREATEDON     AS  WI_CREATEDON,
	WI.LASTUPDATEDON     AS  WI_LASTUPDATEDON,
	WI.WORKITEMQUANTITY     AS  WI_QUANTITY,
	WI.ISLOCKED     AS  WI_ISLOCKED,
	WI.LOCKEDON     AS  WI_LOCKEDON,
	WI.LOCKEDSESSIONID     AS  WI_LOCKEDSESSIONID,
	WII.WORKITEMINFOID     AS  WI_INFOID,
	WII.CATEGORY     AS  WI_CATEGORY,
	WII.STRATEGICVALUE     AS  WI_STRATEGICVALUE,
	WII.WORKITEMTYPE     AS  WI_TYPE,
	WII.NOTE     AS  WI_NOTE,
	WLI.WORKLINEITEMSID     AS  WLI_ID,
	WLI.RESOURCECATEGORYNAME     AS  WLI_RES_CAT_NAME,
	WLI.CATEGORYDESCRIPTION     AS  WLI_CATEGORYDESCRIPTION,
	WLI.UNITOFMEASUREMENT     AS  WLI_UNITOFMEASUREMENT,
	WLI.MIN_VOLUME     AS  WLI_MIN_VOLUME,
	WLI.MAX_VOLUME     AS  WLI_MAX_VOLUME,
	WLI.RATE_C     AS  WLI_RATE_C,
	WLI.RATE_A     AS  WLI_RATE_A,
	WLI.QUANTITY     AS  WLI_QUANTITY,
	WLI.TOTALCOST_C     AS  WLI_TOTALCOST_C,
	WLI.TOTALCOST_A     AS  WLI_TOTALCOST_A,
	WLI.BILLINGTYPE     AS  WLI_BILLINGTYPE,
	WLI.PATH     AS  WLI_RES_CAT_PATH,
	CAST('''' AS NVARCHAR(200))     AS  WLI_RES_CAT_LEVEL1_NAME,
	CAST('''' AS NVARCHAR(200))     AS  WLI_RES_CAT_LEVEL2_NAME,
	CAST('''' AS NVARCHAR(200))     AS  WLI_RES_CAT_LEVEL3_NAME,
	CAST('''' AS NVARCHAR(200))     AS  WLI_RES_CAT_LEVEL4_NAME,
	CAST('''' AS NVARCHAR(200))     AS  WLI_RES_CAT_LEVEL5_NAME
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0 
	ON A0.RELATIONSHIPTYPEID = 141014623932230 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_BUSINESSUNIT BU ON A0.CONTAINSID = BU.BUSINESSUNITID
	
	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)  AND A2.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_MARKETINGACTIVITY MA1
	ON A2.CONTAINSID = MA1.MARKETINGACTIVITYID
	
	INNER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 164680007970996 AND A3.CONTAINERID = MA1.MARKETINGACTIVITYID
	INNER JOIN ALENT_ESTIMATE EST
	ON A3.CONTAINSID = EST.ESTIMATEID
	
	INNER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 268753845302731 AND A4.CONTAINERID = EST.ESTIMATEID
	INNER JOIN ALENT_VENDORS VENDORS
	ON A4.CONTAINSID = VENDORS.VENDORSID
	
	LEFT OUTER JOIN ALOM_ASSEMBLY A5
	ON A5.RELATIONSHIPTYPEID = 205485409039418 AND A5.CONTAINERID = EST.ESTIMATEID
	LEFT OUTER JOIN ALENT_WORKITEM WI
	ON A5.CONTAINSID = WI.WORKITEMID
	
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID = 15048980469304 AND ASF1.ENTITYID = WI.WORKITEMID
	LEFT OUTER JOIN ALFCT_WORKITEMINFO WII
	ON ASF1.FACETID = WII.WORKITEMINFOID
	
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF2
	ON ASF2.RELATIONSHIPTYPEID = 276583860982877 AND ASF2.ENTITYID = WI.WORKITEMID
	LEFT OUTER JOIN ALFCT_WORKLINEITEMS WLI
	ON ASF2.FACETID = WLI.WORKLINEITEMSID ')
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSESTACTUALS
	(PLANID,PLAN_TITLE,FISCALYEAR,EST_ID,EST_TITLE,EST_STATUS,EST_NUMBER,EST_STARTDATE,EST_ENDDATE,
	VENDORID,VENDORNAME,VENDORTYPE,VENDORNUMBER,WI_ID,WI_TITLE,WI_NUMBER,ACT_LIID,ACT_MONTH,
	ACT_YEAR,ACT_TYPE,ACT_RES_CAT_NAME,ACT_CAT_DESCRIPTION,ACT_RES_CAT_PATH,UNITOFMEASUREMENT,
	ACT_RATE_C,ACT_RATE_A,ACT_QUANTITY,ACT_TOTALCOST_C,ACT_TOTALCOST_A,ACT_BILLINGTYPE,ACT_CREATEDON,
	ACT_ACTUALSINFOID,ACT_PLANNAME,ACT_WORKITEMNUMBER,ACT_ISUNBUDGETEDPLAN)
	SELECT
	PLAN1.PLANID	AS PLANID,
	PLAN1.TITLE   AS PLAN_TITLE,
	PLAN1.FISCALYEAR   AS FISCALYEAR,
	EST.ESTIMATEID   AS  EST_ID,
	EST.TITLE   AS  EST_TITLE,
	EST.STATUS   AS  EST_STATUS,
	EST.ESTIMATENUMBER   AS  EST_NUMBER,
	EST.ESTIMATESTARTDATE   AS  EST_STARTDATE,
	EST.ESTIMATEENDDATE   AS  EST_ENDDATE,
	VENDORS.VENDORSID   AS  VENDORID,
	VENDORS.NAME   AS  VENDORNAME,
	VENDORS.VENDORTYPE   AS  VENDORTYPE,
	VENDORS.VENDORNUMBER   AS  VENDORNUMBER,
	WI.WORKITEMID     AS  WI_ID,
	WI.TITLE     AS  WI_TITLE,
	WI.WORKITEMNUMBER     AS  WI_NUMBER,
	ALI.ACTUALLINEITEMSID  AS ACT_LIID,
	ALI.ACTUALSMONTH    AS   ACT_MONTH,
	ALI.ACTUALSYEAR    AS   ACT_YEAR,
	ALI.ACTUALSTYPE    AS   ACT_TYPE,
	ALI.RESOURCECATEGORYNAME    AS   ACT_RES_CAT_NAME,
	ALI.CATEGORYDESCRIPTION    AS   ACT_CAT_DESCRIPTION,
	ALI.RESOURCECATEGORYPATH    AS   ACT_RES_CAT_PATH,
	ALI.UNITOFMEASUREMENT    AS   UNITOFMEASUREMENT,
	ALI.RATE_C    AS   ACT_RATE_C,
	ALI.RATE_A    AS   ACT_RATE_A,
	ALI.QUANTITY    AS   ACT_QUANTITY,
	ALI.TOTALCOST_C    AS   ACT_TOTALCOST_C,
	ALI.TOTALCOST_A    AS   ACT_TOTALCOST_A,
	ALI.BILLINGTYPE    AS   ACT_BILLINGTYPE,
	ALI.CREATEDON    AS   ACT_CREATEDON,
	ACTINFO.ACTUALSINFOID    AS   ACT_ACTUALSINFOID,
	ACTINFO.PLANNAME    AS   ACT_PLANNAME,
	ACTINFO.WORKITEMNUMBER    AS   ACT_WORKITEMNUMBER,
	ACTINFO.ISUNBUDGETEDPLAN    AS   ACT_ISUNBUDGETEDPLAN
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A0 
	ON A0.RELATIONSHIPTYPEID = 180896289078822 AND A0.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_ESTIMATE EST
	ON A0.CONTAINSID = EST.ESTIMATEID
	
	INNER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 268753845302731 AND A4.CONTAINERID = EST.ESTIMATEID
	INNER JOIN ALENT_VENDORS VENDORS
	ON A4.CONTAINSID = VENDORS.VENDORSID
	
	LEFT OUTER JOIN ALOM_ASSEMBLY A5
	ON A5.RELATIONSHIPTYPEID = 205485409039418 AND A5.CONTAINERID = EST.ESTIMATEID
	LEFT OUTER JOIN ALENT_WORKITEM WI
	ON A5.CONTAINSID = WI.WORKITEMID
	
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID = 4898830958341 AND ASF1.ENTITYID = WI.WORKITEMID
	LEFT OUTER JOIN ALFCT_ACTUALLINEITEMS ALI
	ON ASF1.FACETID = ALI.ACTUALLINEITEMSID
	
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF2
	ON ASF2.RELATIONSHIPTYPEID = 155904229371956 AND ASF2.ENTITYID = ALI.ACTUALLINEITEMSID
	LEFT OUTER JOIN ALFCT_ACTUALSINFO ACTINFO
	ON ASF2.FACETID = ACTINFO.ACTUALSINFOID ')
	
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSESTWORKFLOW
	(EST_ID,EST_TITLE,EST_STATUS,EST_NUMBER,EST_STARTDATE,EST_ENDDATE,VENDORID,VENDORNAME,
	VENDORTYPE,VENDORNUMBER,WF_ID,WF_TITLE,WF_STARTDATE,WF_DUEDATE,WF_COMPLETEDON,WF_STATUS,
	WF_PERCENTDONE,WF_USERID,WF_CREATOR,STEPID,STEPTITLE,STEP_SEQ_NO,STEP_STARTDATE,
	STEP_DUEDATE,STEP_COMPLETEDON,STEP_STATUS,STEP_PERCENTDONE,STEP_SUMMARYVALUE,
	CNT_USERID,CNT_NAME,CNT_RESPONSE,CNT_RESPONSEPOSTEDON,
	WF_CREATOR_FNAME,WF_CREATOR_MNAME,WF_CREATOR_LNAME,
	CNT_FNAME,CNT_MNAME,CNT_LNAME)
	SELECT
	EST.ESTIMATEID   AS  EST_ID,
	EST.TITLE   AS  EST_TITLE,
	EST.STATUS   AS  EST_STATUS,
	EST.ESTIMATENUMBER   AS  EST_NUMBER,
	EST.ESTIMATESTARTDATE   AS  EST_STARTDATE,
	EST.ESTIMATEENDDATE   AS  EST_ENDDATE,
	VENDORS.VENDORSID   AS  VENDORID,
	VENDORS.NAME   AS  VENDORNAME,
	VENDORS.VENDORTYPE   AS  VENDORTYPE,
	VENDORS.VENDORNUMBER   AS  VENDORNUMBER,
	WFP1.WORKFLOWPROCESSID   AS  WF_ID,
	WFP1.PROCESSNAME   AS  WF_TITLE,
	WFP1.STARTDATE   AS  WF_STARTDATE,
	WFP1.DUEDATE   AS  WF_DUEDATE,
	WFP1.ACTUALENDDATE   AS  WF_COMPLETEDON,
	WFP1.STATUS   AS  WF_STATUS,
	WFP_INFO.PERCENTDONE   AS  WF_PERCENTDONE,
	USER2.USERID   AS  WF_USERID,
	USER2.LOGINNAME  AS  WF_CREATOR,
	ACT1.ACTIVITYID   AS  STEPID,
	ACT1.ACTIVITYNAME   AS  STEPTITLE,
	ACT1.SEQUENCENUMBER   AS  STEP_SEQ_NO,
	ACT1.STARTDATE   AS  STEP_STARTDATE,
	ACT1.DUEDATE   AS  STEP_DUEDATE,
	ACT1.ACTUALENDDATE   AS  STEP_COMPLETEDON,
	ACT1.STATUS   AS  STEP_STATUS,
	ACTINFO.PERCENTDONE   AS  STEP_PERCENTDONE,
	ACTINFO.SUMMARYVALUE   AS  STEP_SUMMARYVALUE,
	USER1.USERID  AS  CNT_USERID,
	USER1.LOGINNAME  AS  CNT_NAME,
	RESP.RESPONSETEXT   AS  CNT_RESPONSE,
	RESP.RESPONSEPOSTEDON     AS  CNT_RESPONSEPOSTEDON,
	USER2.FIRSTNAME,USER2.MIDDLEINITIAL,USER2.LASTNAME,
	USER1.FIRSTNAME,USER1.MIDDLEINITIAL,USER1.LASTNAME
	FROM
	ALENT_ESTIMATE EST INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID = 268753845302731 AND A1.CONTAINERID = EST.ESTIMATEID
	INNER JOIN ALENT_VENDORS VENDORS
	ON A1.CONTAINSID = VENDORS.VENDORSID
	
	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 268547174253012 AND A2.CONTAINERID = EST.ESTIMATEID
	INNER JOIN ALENT_WORKFLOWPROCESS WFP1
	ON A2.CONTAINSID = WFP1.WORKFLOWPROCESSID
	
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID = 109574871933848 AND ASF1.ENTITYID = WFP1.WORKFLOWPROCESSID
	LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WFP_INFO
	ON ASF1.FACETID = WFP_INFO.WORKFLOWPROCESSINFOID
	
	LEFT OUTER JOIN ALOM_ASSEMBLY A6
	ON A6.RELATIONSHIPTYPEID = 1549518477 AND A6.CONTAINERID = WFP1.WORKFLOWPROCESSID
	LEFT OUTER JOIN ALENT_USER USER2
	ON A6.CONTAINSID = USER2.USERID
	
	LEFT OUTER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 154010190849386 AND A3.CONTAINERID = WFP1.WORKFLOWPROCESSID
	LEFT OUTER JOIN ALENT_ACTIVITY ACT1
	ON A3.CONTAINSID = ACT1.ACTIVITYID
	
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF2
	ON ASF2.RELATIONSHIPTYPEID =  79760151954703 AND ASF2.ENTITYID = ACT1.ACTIVITYID
	LEFT OUTER JOIN ALFCT_ACTIVITYINFORMATION ACTINFO
	ON ASF2.FACETID = ACTINFO.ACTIVITYINFORMATIONID
	
	LEFT OUTER JOIN ALOM_ASSEMBLY A5
	ON A5.RELATIONSHIPTYPEID = 202900281682436 AND A5.CONTAINERID = ACT1.ACTIVITYID
	LEFT OUTER JOIN ALENT_RESPONSE RESP
	ON A5.CONTAINSID = RESP.RESPONSEID
	
	LEFT OUTER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 39756732918528 AND A4.CONTAINERID = RESP.RESPONSEID
	LEFT OUTER JOIN ALENT_USER USER1
	ON A4.CONTAINSID = USER1.USERID ')
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSRATECARD
	(VENDORID,VENDORNAME,VENDORDESCRIPTION,VENDORTYPE,VENDORNUMBER,VENDORISOBSOLETE,VENDORCURRENCYTYPE,
	VENDORCREATEDON,VENDORLASTUPDATEDON,VENDORURL,RCI_ITEMID,RCI_ITEMTYPE,RCI_PATH,RCI_LEVEL1_NAME,RCI_LEVEL2_NAME,
	RCI_LEVEL3_NAME,RCI_LEVEL4_NAME,RCI_LEVEL5_NAME,RCI_UNITOFMEASURE,RCI_RATE_C,RCI_RATE_A,RCI_MIN_VOLUME,
	RCI_MAX_VOLUME,RCI_ISDELETED,RCI_COMMENT,RES_DEFID,RES_SKILLLEVEL,RES_COUNTRY,RES_ISEXTERNAL,
	RES_ISUNKNOWNRESOURCE,RES_UNITSOFMEASURE)
	SELECT
	VENDORS.VENDORSID   AS  VENDORID,
	VENDORS.NAME   AS  VENDORNAME,
	VENDORS.DESCRIPTION   AS  VENDORDESCRIPTION,
	VENDORS.VENDORTYPE   AS  VENDORTYPE,
	VENDORS.VENDORNUMBER   AS  VENDORNUMBER,
	VENDORS.ISOBSOLETE   AS  VENDORISOBSOLETE,
	VENDORS.CURRENCYTYPE  AS  VENDORCURRENCYTYPE,
	VENDORS.CREATEDON  AS  VENDORCREATEDON,
	VENDORS.LASTUPDATEDON  AS  VENDORLASTUPDATEDON,
	VENDORS.URL   AS  VENDORURL,
	RCI.RATECARDITEMID  AS RCI_ITEMID,
	RCI.ITEMTYPE  AS RCI_ITEMTYPE,
	RCI.PATH  AS RCI_PATH,
	CAST('''' AS NVARCHAR(200))     AS  RCI_LEVEL1_NAME,
	CAST('''' AS NVARCHAR(200))     AS  RCI_LEVEL2_NAME,
	CAST('''' AS NVARCHAR(200))     AS  RCI_LEVEL3_NAME,
	CAST('''' AS NVARCHAR(200))     AS  RCI_LEVEL4_NAME,
	CAST('''' AS NVARCHAR(200))     AS  RCI_LEVEL5_NAME,
	RCI.UNITOFMEASURE  AS RCI_UNITOFMEASURE,
	RCI.RATE_C  AS RCI_RATE_C,
	RCI.RATE_A  AS RCI_RATE_A,
	RCI.MIN_VOLUME  AS RCI_MIN_VOLUME,
	RCI.MAX_VOLUME  AS RCI_MAX_VOLUME,
	RCI.ISDELETED  AS RCI_ISDELETED,
	RCI.COMMENT  AS RCI_COMMENT,
	RES.RESOURCEDEFID  AS RES_DEFID,
	RES.SKILLLEVEL  AS RES_SKILLLEVEL,
	RES.COUNTRY  AS RES_COUNTRY,
	RES.ISEXTERNAL  AS RES_ISEXTERNAL,
	RES.ISUNKNOWNRESOURCE  AS RES_ISUNKNOWNRESOURCE,
	RES.UNITSOFMEASURE  AS RES_UNITSOFMEASURE
	FROM
	ALENT_VENDORS VENDORS LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID = 102798348477075 AND ASF1.ENTITYID = VENDORS.VENDORSID
	LEFT OUTER JOIN ALFCT_RATECARDITEM RCI
	ON ASF1.FACETID = RCI.RATECARDITEMID
	
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF2
	ON ASF2.RELATIONSHIPTYPEID = 200683698991424 AND ASF2.FACETID = RCI.RATECARDITEMID
	LEFT OUTER JOIN ALENT_RESOURCEDEF RES
	ON ASF2.ENTITYID = RES.RESOURCEDEFID ')
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_BUDGETS_BY_BU 
	SELECT * FROM ALENT_BUDGETS_BY_BU ')
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_CHANNEL_COSTCATEGORY 
	SELECT * FROM ALENT_CHANNEL_COSTCATEGORY ')
	
	
	EXEC (' INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_CHANNEL_BUDGETSNACT  
	SELECT * FROM ALENT_CHANNEL_BUDGETSNACTUALS ')
	
	
	/* 	CLAIMS MANAGEMENT ODS DATA LOAD		*/
	
	EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCLAIM 
	(CLAIMID,CLAIM_NAME,CLAIM_TEXT,CLAIM_CATEGORY,CLAIM_STATUS,CLAIM_CREATEDON,
	CLAIM_LASTUPDATEDON,CLAIM_APPROVEDON,CLAIM_REASONFOROBSOLETE,CLAIM_DISCLOSURESTATEMENT,
	CLAIM_CREATOR_NAME,CLAIM_LASTMODIFIEDBY_NAME,CLAIM_ADDITIONALINFO_ID,CLAIM_REGULATIONS,
	CLAIM_CREATOR_FNAME,CLAIM_CREATOR_MNAME,CLAIM_CREATOR_LNAME,
	CLAIM_LASTMODIFIEDBY_FNAME,CLAIM_LASTMODIFIEDBY_MNAME,CLAIM_LASTMODIFIEDBY_LNAME)
	SELECT
	CLM.CLAIMID,CLM.NAME,CLM.CLAIMTEXT,CLM.CATEGORY,CLM.STATUS,CLM.CREATEDON,CLM.LASTUPDATEDON,CLM.CLAIMAPPROVEDON,
	CLM.REASONFOROBSOLETE,CLM.CLAIMDISCLOSURESTATEMENT,
	USER1.LOGINNAME AS CLAIM_CREATOR_NAME,
	USER2.LOGINNAME AS CLAIM_LASTMODIFIEDBY_NAME,
	ADDINFO.ADDITIONALINFOID ,ADDINFO.REGULATIONS,
	USER1.FIRSTNAME,USER1.MIDDLEINITIAL,USER1.LASTNAME,
	USER2.FIRSTNAME,USER2.MIDDLEINITIAL,USER2.LASTNAME
	FROM
	ALENT_CLAIM CLM INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID = 178851881686140 AND A1.CONTAINERID = CLM.CLAIMID
	LEFT OUTER JOIN ALENT_USER USER1
	ON A1.CONTAINSID = USER1.USERID
	LEFT OUTER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 277304178563175 AND A2.CONTAINERID = CLM.CLAIMID
	INNER JOIN ALENT_USER USER2
	ON A2.CONTAINSID = USER2.USERID
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID =  221326656195218 AND ASF1.ENTITYID = CLM.CLAIMID
	LEFT OUTER JOIN ALFCT_CLAIMADDITIONALINFO ADDINFO
	ON ASF1.FACETID = ADDINFO.ADDITIONALINFOID ')

	EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSCLAIM_DA 
	(CLAIMID,CLAIM_NAME,CLAIM_TEXT,CLAIM_CATEGORY,CLAIM_STATUS,CLAIM_CREATEDON,CLAIM_LASTUPDATEDON,
	CLAIM_APPROVEDON,CLAIM_REASONFOROBSOLETE,CLAIM_DISCLOSURESTATEMENT,CLAIM_CREATOR_NAME,
	CLAIM_LASTMODIFIEDBY_NAME,CLAIM_ADDITIONALINFO_ID,CLAIM_REGULATIONS,CLAIM_DIGITALASSET_ID,
	CLAIM_CREATOR_FNAME,CLAIM_CREATOR_MNAME,CLAIM_CREATOR_LNAME,
	CLAIM_LASTMODIFIEDBY_FNAME,CLAIM_LASTMODIFIEDBY_MNAME,CLAIM_LASTMODIFIEDBY_LNAME)
	SELECT
	CLM.CLAIMID,CLM.NAME,CLM.CLAIMTEXT,CLM.CATEGORY,CLM.STATUS,CLM.CREATEDON,CLM.LASTUPDATEDON,CLM.CLAIMAPPROVEDON,
	CLM.REASONFOROBSOLETE,CLM.CLAIMDISCLOSURESTATEMENT,
	USER1.LOGINNAME AS CLAIM_CREATOR_NAME,
	USER2.LOGINNAME AS CLAIM_LASTMODIFIEDBY_NAME,
	ADDINFO.ADDITIONALINFOID ,ADDINFO.REGULATIONS,DA.DIGITALASSETID,
	USER1.FIRSTNAME,USER1.MIDDLEINITIAL,USER1.LASTNAME,
	USER2.FIRSTNAME,USER2.MIDDLEINITIAL,USER2.LASTNAME
	FROM
	ALENT_CLAIM CLM INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID = 178851881686140 AND A1.CONTAINERID = CLM.CLAIMID
	INNER JOIN ALENT_USER USER1
	ON A1.CONTAINSID = USER1.USERID
	LEFT OUTER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 277304178563175 AND A2.CONTAINERID = CLM.CLAIMID
	LEFT OUTER JOIN ALENT_USER USER2
	ON A2.CONTAINSID = USER2.USERID
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID =  221326656195218 AND ASF1.ENTITYID = CLM.CLAIMID
	LEFT OUTER JOIN ALFCT_CLAIMADDITIONALINFO ADDINFO
	ON ASF1.FACETID = ADDINFO.ADDITIONALINFOID
	LEFT OUTER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 149283283696974 AND A3.CONTAINERID = CLM.CLAIMID
	LEFT OUTER JOIN ALENT_DIGITALASSET DA
	ON A3.CONTAINSID = DA.DIGITALASSETID ')

	EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSLABEL_CLAIM
	(LABELID,LABEL_NAME,LABEL_DESCRIPTION,LABEL_STATUS,LABEL_OBSOLETEDATE,LABEL_CREATEDON,
	LABEL_LASTUPDATEDON,LABEL_APPROVEDON,LABEL_DISCLOSURE,LABEL_CREATOR_NAME,LABEL_LASTMODIFIEDBY_NAME,
	LABELINFOID,LABEL_PRODUCTNAME,CLAIMID,CLAIM_NAME,CLAIM_TEXT,CLAIM_CATEGORY,CLAIM_STATUS,
	CLAIM_CREATEDON,CLAIM_LASTUPDATEDON,CLAIM_APPROVEDON,CLAIM_REASONFOROBSOLETE,
	CLAIM_DISCLOSURESTATEMENT,CLAIM_CREATOR_NAME,CLAIM_LASTMODIFIEDBY_NAME,CLAIM_ADDITIONALINFO_ID,CLAIM_REGULATIONS,
	LABEL_CREATOR_FNAME,LABEL_CREATOR_MNAME,LABEL_CREATOR_LNAME,
	LABEL_LASTMODIFIEDBY_FNAME,LABEL_LASTMODIFIEDBY_MNAME,LABEL_LASTMODIFIEDBY_LNAME,
	CLAIM_CREATOR_FNAME,CLAIM_CREATOR_MNAME,CLAIM_CREATOR_LNAME,
	CLAIM_LASTMODIFIEDBY_FNAME,CLAIM_LASTMODIFIEDBY_MNAME,CLAIM_LASTMODIFIEDBY_LNAME)
	SELECT
	LABEL.LABELID,LABEL.LABELNAME,LABEL.DESCRIPTION,LABEL.STATUS,LABEL.OBSOLETEDATE,LABEL.CREATEDON,
	LABEL.LASTUPDATEDON,LABEL.LABELAPPROVEDON,LABEL.LABEL_DISCLOSURE,
	USER1.LOGINNAME AS LABEL_CREATOR_NAME,
	USER2.LOGINNAME AS LABEL_LASTMODIFIEDBY_NAME,
	LABINFO.LABELINFOID,LABINFO.PRODUCTNAME,		
	CLM.CLAIMID,CLM.NAME,CLM.CLAIMTEXT,CLM.CATEGORY,CLM.STATUS,CLM.CREATEDON,CLM.LASTUPDATEDON,CLM.CLAIMAPPROVEDON,
	CLM.REASONFOROBSOLETE,CLM.CLAIMDISCLOSURESTATEMENT,
	USER3.LOGINNAME AS CLAIM_CREATOR_NAME,
	USER4.LOGINNAME AS CLAIM_LASTMODIFIEDBY_NAME,
	ADDINFO.ADDITIONALINFOID ,ADDINFO.REGULATIONS,
	USER1.FIRSTNAME,USER1.MIDDLEINITIAL,USER1.LASTNAME,
	USER2.FIRSTNAME,USER2.MIDDLEINITIAL,USER2.LASTNAME,
	USER3.FIRSTNAME,USER3.MIDDLEINITIAL,USER3.LASTNAME,
	USER4.FIRSTNAME,USER4.MIDDLEINITIAL,USER4.LASTNAME
	FROM
	ALENT_LABEL LABEL INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID = 167974063680209 AND A1.CONTAINERID = LABEL.LABELID
	INNER JOIN ALENT_USER USER1
	ON A1.CONTAINSID = USER1.USERID
	LEFT OUTER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 56100900305305 AND A2.CONTAINERID = LABEL.LABELID
	LEFT OUTER JOIN ALENT_USER USER2
	ON A2.CONTAINSID = USER2.USERID
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID = 50193254404128 AND ASF1.ENTITYID = LABEL.LABELID
	LEFT OUTER JOIN ALFCT_LABELINFO LABINFO
	ON ASF1.FACETID = LABINFO.LABELINFOID
	LEFT OUTER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID =  224442881652564 AND A3.CONTAINERID = LABEL.LABELID
	LEFT OUTER JOIN ALENT_CLAIM CLM
	ON A3.CONTAINSID = CLM.CLAIMID
	LEFT OUTER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 178851881686140 AND A4.CONTAINERID = CLM.CLAIMID
	LEFT OUTER JOIN ALENT_USER USER3
	ON A4.CONTAINSID = USER3.USERID
	LEFT OUTER JOIN ALOM_ASSEMBLY A5
	ON A5.RELATIONSHIPTYPEID = 277304178563175 AND A5.CONTAINERID = CLM.CLAIMID
	LEFT OUTER JOIN ALENT_USER USER4
	ON A5.CONTAINSID = USER4.USERID
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF2
	ON ASF2.RELATIONSHIPTYPEID =  221326656195218 AND ASF2.ENTITYID = CLM.CLAIMID
	LEFT OUTER JOIN ALFCT_CLAIMADDITIONALINFO ADDINFO
	ON ASF2.FACETID = ADDINFO.ADDITIONALINFOID ')

	EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSLABEL_CLAIM_DA
	(LABELID,LABEL_NAME,LABEL_DESCRIPTION,LABEL_STATUS,LABEL_OBSOLETEDATE,LABEL_CREATEDON,
	LABEL_LASTUPDATEDON,LABEL_APPROVEDON,LABEL_DISCLOSURE,LABEL_CREATOR_NAME,LABEL_LASTMODIFIEDBY_NAME,
	LABEL_DIGITALASSET_ID,LABELINFOID,LABEL_PRODUCTNAME,CLAIMID,CLAIM_NAME,CLAIM_TEXT,CLAIM_CATEGORY,
	CLAIM_STATUS,CLAIM_CREATEDON,CLAIM_LASTUPDATEDON,CLAIM_APPROVEDON,CLAIM_REASONFOROBSOLETE,
	CLAIM_DISCLOSURESTATEMENT,CLAIM_CREATOR_NAME,CLAIM_LASTMODIFIEDBY_NAME,CLAIM_ADDITIONALINFO_ID,CLAIM_REGULATIONS,
	LABEL_CREATOR_FNAME,LABEL_CREATOR_MNAME,LABEL_CREATOR_LNAME,
	LABEL_LASTMODIFIEDBY_FNAME,LABEL_LASTMODIFIEDBY_MNAME,LABEL_LASTMODIFIEDBY_LNAME,
	CLAIM_CREATOR_FNAME,CLAIM_CREATOR_MNAME,CLAIM_CREATOR_LNAME,
	CLAIM_LASTMODIFIEDBY_FNAME,CLAIM_LASTMODIFIEDBY_MNAME,CLAIM_LASTMODIFIEDBY_LNAME
	)
	SELECT
	LABEL.LABELID,LABEL.LABELNAME,LABEL.DESCRIPTION,LABEL.STATUS,LABEL.OBSOLETEDATE,LABEL.CREATEDON,
	LABEL.LASTUPDATEDON,LABEL.LABELAPPROVEDON,LABEL.LABEL_DISCLOSURE,
	USER1.LOGINNAME AS LABEL_CREATOR_NAME,
	USER2.LOGINNAME AS LABEL_LASTMODIFIEDBY_NAME,
	DA1.DIGITALASSETID,LABINFO.LABELINFOID,LABINFO.PRODUCTNAME,		
	CLM.CLAIMID,CLM.NAME,CLM.CLAIMTEXT,CLM.CATEGORY,CLM.STATUS,CLM.CREATEDON,CLM.LASTUPDATEDON,CLM.CLAIMAPPROVEDON,
	CLM.REASONFOROBSOLETE,CLM.CLAIMDISCLOSURESTATEMENT,
	USER3.LOGINNAME AS CLAIM_CREATOR_NAME,
	USER4.LOGINNAME AS CLAIM_LASTMODIFIEDBY_NAME,
	ADDINFO.ADDITIONALINFOID ,ADDINFO.REGULATIONS,
	USER1.FIRSTNAME,USER1.MIDDLEINITIAL,USER1.LASTNAME,
	USER2.FIRSTNAME,USER2.MIDDLEINITIAL,USER2.LASTNAME,
	USER3.FIRSTNAME,USER3.MIDDLEINITIAL,USER3.LASTNAME,
	USER4.FIRSTNAME,USER4.MIDDLEINITIAL,USER4.LASTNAME
	FROM
	ALENT_LABEL LABEL INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID = 167974063680209 AND A1.CONTAINERID = LABEL.LABELID
	INNER JOIN ALENT_USER USER1
	ON A1.CONTAINSID = USER1.USERID
	LEFT OUTER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 56100900305305 AND A2.CONTAINERID = LABEL.LABELID
	LEFT OUTER JOIN ALENT_USER USER2
	ON A2.CONTAINSID = USER2.USERID
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF1
	ON ASF1.RELATIONSHIPTYPEID = 50193254404128 AND ASF1.ENTITYID = LABEL.LABELID
	LEFT OUTER JOIN ALFCT_LABELINFO LABINFO
	ON ASF1.FACETID = LABINFO.LABELINFOID
	LEFT OUTER JOIN ALOM_ASSEMBLY A4
	ON A4.RELATIONSHIPTYPEID = 238838194660137 AND A4.CONTAINERID = LABEL.LABELID
	LEFT OUTER JOIN ALENT_DIGITALASSET DA1
	ON A4.CONTAINSID = DA1.DIGITALASSETID
	LEFT OUTER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID =  224442881652564 AND A3.CONTAINERID = LABEL.LABELID
	LEFT OUTER JOIN ALENT_CLAIM CLM
	ON A3.CONTAINSID = CLM.CLAIMID
	LEFT OUTER JOIN ALOM_ASSEMBLY A5
	ON A5.RELATIONSHIPTYPEID = 178851881686140 AND A5.CONTAINERID = CLM.CLAIMID
	LEFT OUTER JOIN ALENT_USER USER3
	ON A5.CONTAINSID = USER3.USERID
	LEFT OUTER JOIN ALOM_ASSEMBLY A6
	ON A6.RELATIONSHIPTYPEID = 277304178563175 AND A6.CONTAINERID = CLM.CLAIMID
	LEFT OUTER JOIN ALENT_USER USER4
	ON A6.CONTAINSID = USER4.USERID
	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF2
	ON ASF2.RELATIONSHIPTYPEID =  221326656195218 AND ASF2.ENTITYID = CLM.CLAIMID
	LEFT OUTER JOIN ALFCT_CLAIMADDITIONALINFO ADDINFO
	ON ASF2.FACETID = ADDINFO.ADDITIONALINFOID ')
	
	
	/*	RESOURCE PLANNER DATA LOAD	*/
	
	EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_ALLOCATION
	(ALLOCATIONID,ALLOCATION_FROMDATE,ALLOCATION_TODATE,
	ALLOCATION_UNITOFMEASURE,ALLOCATION_TYPE,
	ALLOCATION,ALLOCATION_COMMENTS,ALLOCATION_HOURSPERDAY,
	PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,
	BU_LEVEL4_ID,BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,
	BU_LEVEL4_NAME,BU_LEVEL5_NAME,
	MA_LEVEL1_ID,MA_LEVEL2_ID,MA_LEVEL3_ID,MA_LEVEL4_ID,MA_LEVEL5_ID,
	MA_LEVEL1_NAME,MA_LEVEL2_NAME,MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,
	MA_TYPE_LEVEL1_NAME,MA_TYPE_LEVEL2_NAME,
	MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,MA_ID,MA_NAME,MA_TYPE,MA_STATUS,MA_LEVEL_NO,
	MA_PATH,RESOURCEREQUEST_ID,RESREQUEST_FROMDATE,RESREQUEST_TODATE,RESREQUEST_ALLOCATION,RESREQUEST_UNITOFMEASURE,
	RESREQUEST_COMMENTS,RESREQUEST_STATUS,RESOURCEDEF_ID,RESDEF_NAME,RESDEF_DESCRIPTION,RESDEF_RATE_C,
	RESDEF_RATE_A,RESDEF_SKILLLEVEL,RESDEF_COUNTRY,RESDEF_ISEXTERNAL,RESDEF_ISUNKNOWNRESOURCE,
	RESDEF_UNITSOFMEASURE,RESDEF_AVAIL_ON_SUNDAY,RESDEF_AVAIL_ON_MONDAY,RESDEF_AVAIL_ON_TUESDAY,RESDEF_AVAIL_ON_WEDNESDAY,
	RESDEF_AVAIL_ON_THURSDAY,RESDEF_AVAIL_ON_FRIDAY,RESDEF_AVAIL_ON_SATURDAY,RESDEF_USER_ID,RESEDEF_USER_NAME,RESOURCECATID,
	RESCAT_NAME,RESCAT_DESCRIPTION,RESCAT_UNITOFMEASURE,RESCAT_LEVEL_NO,RESCAT_PATH,RESCAT_USER_ID,RESCAT_HEAD_NAME,
	ISRESOBSOLETE,ISRESCATOBSOLETE,
	RESEDEF_USER_FNAME,RESEDEF_USER_MNAME,RESEDEF_USER_LNAME,
	RESCAT_HEAD_FNAME,RESCAT_HEAD_MNAME,RESCAT_HEAD_LNAME,RESDEF_RESOURCETYPE)
	SELECT
	DISTINCT ALLOC.ALLOCATIONID,ALLOC.FROMDATE,ALLOC.TODATE,
	ALLOC.UNITOFMEASURE,ALLOC.ALLOCATIONTYPE,
	ALLOC.ALLOCATION,ALLOC.COMMENTS,ALLOC.HOURSPERDAY,
	PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
	'''','''','''','''','''','''','''','''','''','''',
	'''','''','''','''','''','''','''','''','''','''',
	'''','''','''','''',
	BU.BUSINESSUNITID,BU.NAME,
	MA.MARKETINGACTIVITYID,MA.NAME,
	CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END,
	MA.STATUS,MA.ACTIVITYLEVEL,
	CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYPATH) > 0 THEN REPLACE(MA.ACTIVITYPATH,''$ALP$'', '+''''+@MA_PATH_SEPARATOR+''''+') ELSE  MA.ACTIVITYPATH END ,
	RESREQ.RESOURCEREQUESTID,RESREQ.FROMDATE,RESREQ.TODATE,RESREQ.ALLOCATION,RESREQ.UNITOFMEASURE,
	RESREQ.COMMENTS,RESREQ.STATUS,
	RESDEF.RESOURCEDEFID,RESDEF.RESDEFNAME,RESDEF.DESCRIPTION,RESDEF.RATE_C,RESDEF.RATE_A,
	RESDEF.SKILLLEVEL,RESDEF.COUNTRY,RESDEF.ISEXTERNAL,RESDEF.ISUNKNOWNRESOURCE,
	RESDEF.UNITSOFMEASURE,RESDEF.AVAIL_ON_SUNDAY,RESDEF.AVAIL_ON_MONDAY,RESDEF.AVAIL_ON_TUESDAY,
	RESDEF.AVAIL_ON_WEDNESDAY,RESDEF.AVAIL_ON_THURSDAY,RESDEF.AVAIL_ON_FRIDAY,RESDEF.AVAIL_ON_SATURDAY,
	USER1.USERID,
	USER1.LOGINNAME ,
	RESCAT.RESOURCECATID,RESCAT.RESOURCECATNAME,RESCAT.DESCRIPTION,RESCAT.UNITSOFMEASURE,RESCAT.RESCATLEVEL,
	RESCAT.RESCATPATH,USER2.USERID,
	USER2.LOGINNAME ,
	RESDEF.ISOBSOLETE,RESCAT.ISOBSOLETE,
	USER1.FIRSTNAME,USER1.MIDDLEINITIAL,USER1.LASTNAME,
	USER2.FIRSTNAME,USER2.MIDDLEINITIAL,USER2.LASTNAME,
	RESDEF.RESOURCETYPE
	FROM
	ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A5
	ON A5.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)  AND A5.CONTAINERID = PLAN1.PLANID
	INNER JOIN ALENT_MARKETINGACTIVITY MA
	ON A5.CONTAINSID = MA.MARKETINGACTIVITYID
	LEFT OUTER JOIN ALOM_ASSEMBLY A6
	ON A6.RELATIONSHIPTYPEID = 141014623932230 AND A6.CONTAINERID = PLAN1.PLANID
	LEFT OUTER JOIN ALENT_BUSINESSUNIT BU
	ON A6.CONTAINSID = BU.BUSINESSUNITID
	--
	INNER JOIN ALOM_ASSEMBLY A 
	ON A.RELATIONSHIPTYPEID = 80774627316207 AND A.CONTAINERID = MA.MARKETINGACTIVITYID
	INNER JOIN ALENT_RESOURCEREQUEST RESREQ
	ON A.CONTAINSID = RESREQ.RESOURCEREQUESTID AND RESREQ.REQUESTTYPE = ''STRATEGICPLANNER_PLANNING''

	LEFT OUTER JOIN ALOM_ASSOENTITYFACET ASF2 INNER JOIN ALFCT_ALLOCATION ALLOC
				ON ASF2.RELATIONSHIPTYPEID = 174053874850081 AND ASF2.FACETID = ALLOC.ALLOCATIONID
				AND ALLOC.ALLOCATIONTYPE = ''STRATEGICPLANNER_PLANNING''
	ON ASF2.ENTITYID = RESREQ.RESOURCEREQUESTID 

	INNER JOIN ALOM_ASSOENTITYFACET ASF3
	ON ASF3.RELATIONSHIPTYPEID = 278730232827908 AND ASF3.FACETID = ALLOC.ALLOCATIONID
	INNER JOIN ALENT_RESOURCEDEF RESDEF
	ON ASF3.ENTITYID = RESDEF.RESOURCEDEFID
	INNER JOIN ALOM_ASSEMBLY A1
	ON A1.RELATIONSHIPTYPEID = 226857822355998 AND A1.CONTAINERID = RESDEF.RESOURCEDEFID
	INNER JOIN ALENT_USER USER1
	ON A1.CONTAINSID = USER1.USERID
	INNER JOIN ALOM_ASSEMBLY A3
	ON A3.RELATIONSHIPTYPEID = 67727476840191 AND A3.CONTAINSID = RESREQ.RESOURCEREQUESTID
	INNER JOIN ALENT_RESOURCECAT RESCAT
	ON A3.CONTAINERID = RESCAT.RESOURCECATID
	INNER JOIN ALOM_ASSEMBLY A2
	ON A2.RELATIONSHIPTYPEID = 172581561815655 AND A2.CONTAINERID = RESCAT.RESOURCECATID
	INNER JOIN ALENT_USER USER2
	ON A2.CONTAINSID = USER2.USERID ')
	
	
	EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_RESCAT_ANALYSIS
	(RESCAT_ALLOC_DETAILS_ID,PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,
	BU_LEVEL4_ID,BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,
	MA_LEVEL1_ID,MA_LEVEL2_ID,MA_LEVEL3_ID,MA_LEVEL4_ID,MA_LEVEL5_ID,MA_LEVEL1_NAME,MA_LEVEL2_NAME,
	MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,
	MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,PARENT_ID,INSTANCE_ID,MA_NAME,MA_TYPE,MA_STATUS,MA_LEVEL_NO,RESOURCECATID,
	RESOURCECATNAME,RESOURCECAT_LEVEL_NO,RESCAT_LEVEL1_NAME,RESCAT_LEVEL2_NAME,RESCAT_LEVEL3_NAME,
	RESCAT_LEVEL4_NAME,RESCAT_LEVEL5_NAME,RESCAT_DESCRIPTION,RESCAT_PATH,YEAR,JAN_ALLOC_HRS,FEB_ALLOC_HRS,
	MAR_ALLOC_HRS,APR_ALLOC_HRS,MAY_ALLOC_HRS,JUN_ALLOC_HRS,JUL_ALLOC_HRS,AUG_ALLOC_HRS,SEP_ALLOC_HRS,
	OCT_ALLOC_HRS,NOV_ALLOC_HRS,DEC_ALLOC_HRS,JAN_ROLLUP_ALLOC_HRS,FEB_ROLLUP_ALLOC_HRS,MAR_ROLLUP_ALLOC_HRS,
	APR_ROLLUP_ALLOC_HRS,MAY_ROLLUP_ALLOC_HRS,JUN_ROLLUP_ALLOC_HRS,JUL_ROLLUP_ALLOC_HRS,AUG_ROLLUP_ALLOC_HRS,
	SEP_ROLLUP_ALLOC_HRS,OCT_ROLLUP_ALLOC_HRS,NOV_ROLLUP_ALLOC_HRS,DEC_ROLLUP_ALLOC_HRS,
	JAN_ACTUAL_HRS,FEB_ACTUAL_HRS,
	MAR_ACTUAL_HRS,APR_ACTUAL_HRS,MAY_ACTUAL_HRS,JUN_ACTUAL_HRS,JUL_ACTUAL_HRS,AUG_ACTUAL_HRS,SEP_ACTUAL_HRS,
	OCT_ACTUAL_HRS,NOV_ACTUAL_HRS,DEC_ACTUAL_HRS,JAN_ROLLUP_ACTUAL_HRS,FEB_ROLLUP_ACTUAL_HRS,MAR_ROLLUP_ACTUAL_HRS,
	APR_ROLLUP_ACTUAL_HRS,MAY_ROLLUP_ACTUAL_HRS,JUN_ROLLUP_ACTUAL_HRS,JUL_ROLLUP_ACTUAL_HRS,AUG_ROLLUP_ACTUAL_HRS,
	SEP_ROLLUP_ACTUAL_HRS,OCT_ROLLUP_ACTUAL_HRS,NOV_ROLLUP_ACTUAL_HRS,DEC_ROLLUP_ACTUAL_HRS,RESCAT_HEAD_USER_ID,RESCAT_HEAD_NAME,
	ISRESCATOBSOLETE,RESCAT_HEAD_FNAME,RESCAT_HEAD_MNAME,RESCAT_HEAD_LNAME)
	SELECT * FROM ALENT_RPT_RESCAT_ANALYSIS ')
	
	EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_REQALLOC_ANALYSIS
	(REQ_ALLOC_DETAILS_ID,PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,
	BU_LEVEL4_ID,BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,
	BU_LEVEL4_NAME,BU_LEVEL5_NAME,MA_TYPE_LEVEL1_NAME,MA_TYPE_LEVEL2_NAME,
	MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,MA_ID,MA_NAME,
	MA_TYPE,MA_STATUS,RESOURCECATID,RESOURCECATNAME,RESOURCECAT_LEVEL_NO,
	RESCAT_LEVEL1_NAME,RESCAT_LEVEL2_NAME,RESCAT_LEVEL3_NAME,RESCAT_LEVEL4_NAME,
	RESCAT_LEVEL5_NAME,RESCAT_DESCRIPTION,RESCAT_PATH,TOTAL_REQUESTED_HOURS,TOTAL_ALLOCATED_HOURS,
	TOTAL_ACTUAL_HOURS,RESCAT_HEAD_USER_ID,RESCAT_HEAD_NAME,
	ISRESCATOBSOLETE,RESCAT_HEAD_FNAME,RESCAT_HEAD_MNAME,RESCAT_HEAD_LNAME)
	SELECT * FROM ALENT_RPT_REQALLOC_ANALYSIS ')
	
		
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSFORECASTINFO
		(PLANID,PLAN_TITLE,FISCALYEAR,BU_ID,BU_NAME,BU_LEVEL_NO,BU_PATH,
		BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,BU_LEVEL4_NAME,BU_LEVEL5_NAME,
		MA_ID,MA_NAME,MA_DESCRIPTION,MA_TYPE,MA_STATUS,
		MA_LEVEL1_NAME,MA_LEVEL2_NAME,MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,
		MA_TYPE_LEVEL1_NAME,MA_TYPE_LEVEL2_NAME,MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,
		FORECASTINFORMATIONID,FORECAST_AMOUNT_CURRENCY,FORECAST_AMOUNT,FORECAST_PERIOD,
		FORECAST_NHVALUE,FORECAST_DURATION)
		SELECT
		PLAN1.PLANID,PLAN1.TITLE ,PLAN1.FISCALYEAR ,
		BU.BUSINESSUNITID,BU.NAME,BU.BUSINESSUNITLEVEL,BU.PATH,
		'''','''','''','''','''',
		MA1.MARKETINGACTIVITYID AS MA_ID,MA1.NAME ,MA1.DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA1.ACTIVITYTYPE) > 0 THEN REPLACE(MA1.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA1.ACTIVITYTYPE END,
		MA1.STATUS ,
		''''  ,'''' ,'''' ,'''' ,'''' ,
		'''' ,'''' ,'''' ,'''' ,
		FCINFO.FORECASTINFORMATIONID,
		FCINFO.AMOUNT_C FORECASTINFO_AMOUNT_CURRENCY,
		FCINFO.AMOUNT_A FORECASTINFO_AMOUNT,
		FCINFO.PERIOD,
		FCINFO.NHVALUE,
		FCINFO.DURATION
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1 
		ON A1.RELATIONSHIPTYPEID = 141014623932230 AND A1.CONTAINERID = PLAN1.PLANID
		INNER JOIN ALENT_BUSINESSUNIT BU ON A1.CONTAINSID = BU.BUSINESSUNITID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID IN (38934607864244,198303327217807)  AND A2.CONTAINERID = PLAN1.PLANID
		INNER JOIN ALENT_MARKETINGACTIVITY MA1
		ON A2.CONTAINSID = MA1.MARKETINGACTIVITYID
		INNER JOIN ALOM_ASSOENTITYFACET ASF1
		ON ASF1.RELATIONSHIPTYPEID = 275091204012350 AND ASF1.ENTITYID = MA1.MARKETINGACTIVITYID
		INNER JOIN ALFCT_FORECASTINFORMATION FCINFO
		ON ASF1.FACETID = FCINFO.FORECASTINFORMATIONID ')
		
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_TIMESHEETS
		(TIMESHEET_DETAILS_ID,PLANID,PLAN_TITLE,FISCALYEAR,BU_LEVEL1_ID,BU_LEVEL2_ID,BU_LEVEL3_ID,
		BU_LEVEL4_ID,BU_LEVEL5_ID,BU_LEVEL1_NAME,BU_LEVEL2_NAME,BU_LEVEL3_NAME,
		BU_LEVEL4_NAME,BU_LEVEL5_NAME,
		MA_LEVEL1_ID,MA_LEVEL2_ID,MA_LEVEL3_ID,MA_LEVEL4_ID,MA_LEVEL5_ID,
		MA_LEVEL1_NAME,MA_LEVEL2_NAME,MA_LEVEL3_NAME,MA_LEVEL4_NAME,MA_LEVEL5_NAME,
		MA_TYPE_LEVEL1_NAME,MA_TYPE_LEVEL2_NAME,
		MA_TYPE_LEVEL3_NAME,MA_TYPE_LEVEL4_NAME,BU_ID,BU_NAME,MA_ID,MA_NAME,
		MA_TYPE,MA_STATUS,MA_LEVEL_NO,PROJECTID,PROJECT_NEXTID,PR_TITLE,PR_STARTDATE,
		PR_DUEDATE,PR_COMPLETEDON,PR_STATUS,PR_PERCENTDONE,PR_PM_USER_ID,
		PR_PM_NAME,PR_APM_USER_ID,PR_APM_NAME,TIMESHEETID,TS_STATUS,TS_COMMENTS,
		TS_CREATEDON_DATE,TS_REVIEWEDON_DATE,TS_SUBMITTEDON_DATE,TS_ANOMALY_CONST,
		FROMTIMESHEETDATE,TOTIMESHEETDATE,ISDAILY,TIMESHEET_CREATEDBY_NAME,
		TIMESHEET_REVIEWEDBY_NAME,TIMESHEETITEMSID,TSITEM_UTILIZATION,TSITEM_UNIT_OF_MEASURE,
		TSITEM_DESCRIPTION,TSITEM_MISC_TASK,RESOURCECATID,RESOURCECATNAME,RESOURCECAT_LEVEL_NO,
		RESCAT_LEVEL1_NAME,RESCAT_LEVEL2_NAME,RESCAT_LEVEL3_NAME,RESCAT_LEVEL4_NAME,RESCAT_LEVEL5_NAME,
		RESCAT_DESCRIPTION,RESCAT_PATH,RESCAT_HEAD_USER_ID,RESCAT_HEAD_NAME,ISRESCATOBSOLETE,
		RESDEF_RATE_CURRENCY,RESDEF_RATE_AMOUNT,RESDEF_SKILLLEVEL,RESDEF_COUNTRY,ISEXTERNAL,DAILY_HOURS,
		PR_PM_FNAME,PR_PM_MNAME,PR_PM_LNAME,PR_APM_FNAME,PR_APM_MNAME,PR_APM_LNAME,
		TIMESHEET_CREATEDBY_FNAME,TIMESHEET_CREATEDBY_MNAME,TIMESHEET_CREATEDBY_LNAME,
		TIMESHEET_REVIEWEDBY_FNAME,TIMESHEET_REVIEWEDBY_MNAME,TIMESHEET_REVIEWEDBY_LNAME,
		RESCAT_HEAD_FNAME,RESCAT_HEAD_MNAME,RESCAT_HEAD_LNAME,
		RESDEF_UNITSOFMEASURE,RESDEF_ISOBSOLETE,RESDEF_RESOURCETYPE)
		SELECT * FROM TEMP_TIMESHEETS  
		WHERE
		(
		NOT EXISTS (SELECT 1 FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371 AND CONTAINSID = TEMP_TIMESHEETS.PROJECT_NEXTID)
		OR EXISTS (SELECT COUNT(*) FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371 AND CONTAINSID = TEMP_TIMESHEETS.PROJECT_NEXTID HAVING COUNT(*) = 1)
		) 
		UNION ALL
		SELECT A.* 
		FROM TEMP_TIMESHEETS A 
		WHERE A.TSITEM_UTILIZATION <> 0
		AND EXISTS (SELECT COUNT(*) FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371 AND CONTAINSID = A.PROJECT_NEXTID
				HAVING COUNT(*) > 1) ')
		
		
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_PLANACCESS
		(PLANID,PLAN_TITLE,FISCALYEAR,USERID,LOGINNAME,FIRSTNAME,MIDDLEINITIAL,LASTNAME,
		EMAILID,STATUS,ACCESS)
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''PLAN READER''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 154991305507186 AND PLAN1.PLANID = A1.CONTAINERID
		INNER JOIN ALENT_USER U1
		ON A1.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''PLAN AUTHOR''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 66074295253924 AND PLAN1.PLANID = A1.CONTAINERID
		INNER JOIN ALENT_USER U1
		ON A1.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''PLAN CREATOR''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 121160808043217 AND PLAN1.PLANID = A1.CONTAINERID
		INNER JOIN ALENT_USER U1
		ON A1.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''PLAN MODIFIER''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 95208693253242 AND PLAN1.PLANID = A1.CONTAINERID
		INNER JOIN ALENT_USER U1
		ON A1.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''PLAN BUDGET MANAGER''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 266139693290297 AND PLAN1.PLANID = A1.CONTAINERID
		INNER JOIN ALENT_USER U1
		ON A1.CONTAINSID = U1.USERID 
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''PLAN READER''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 126442297474852 AND PLAN1.PLANID = A1.CONTAINERID
		INNER JOIN ALENT_GROUP GRP
		ON A1.CONTAINSID = GRP.GROUPID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 58398741837706 AND A2.CONTAINERID = GRP.GROUPID
		INNER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID
		WHERE
		NOT EXISTS (SELECT 1 FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 154991305507186 AND CONTAINSID = U1.USERID)
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''PLAN AUTHOR''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 85082332883961 AND PLAN1.PLANID = A1.CONTAINERID
		INNER JOIN ALENT_GROUP GRP
		ON A1.CONTAINSID = GRP.GROUPID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 58398741837706 AND A2.CONTAINERID = GRP.GROUPID
		INNER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID
		WHERE
		NOT EXISTS (SELECT 1 FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 66074295253924 AND CONTAINSID = U1.USERID)')
		
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_ACTIVITYACCESS
		(PLANID,PLAN_TITLE,FISCALYEAR,MA_ID,MA_NAME,MA_DESCRIPTION,MA_TYPE,
		MA_STATUS,MA_NUMBER,MA_PATH,MA_LEVEL_NO,USERID,LOGINNAME,FIRSTNAME,MIDDLEINITIAL,LASTNAME,
		EMAILID,STATUS,ACCESS)
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,MA.MARKETINGACTIVITYID,MA.NAME,MA.DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END AS MA_TYPE,
		MA.STATUS,MA.ACTIVITYNUMBER,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYPATH) > 0 THEN REPLACE(MA.ACTIVITYPATH,''$ALP$'', '+''''+@MA_PATH_SEPARATOR+''''+') ELSE  MA.ACTIVITYPATH END ,
		MA.ACTIVITYLEVEL,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''MARKETING ACTIVITY READER''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND A1.CONTAINERID = PLAN1.PLANID
		INNER JOIN ALENT_MARKETINGACTIVITY MA
		ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 217928366890213 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
		INNER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,MA.MARKETINGACTIVITYID,MA.NAME,MA.DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END AS MA_TYPE,
		MA.STATUS,MA.ACTIVITYNUMBER,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYPATH) > 0 THEN REPLACE(MA.ACTIVITYPATH,''$ALP$'', '+''''+@MA_PATH_SEPARATOR+''''+') ELSE  MA.ACTIVITYPATH END ,
		MA.ACTIVITYLEVEL,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''MARKETING ACTIVITY OWNER''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND A1.CONTAINERID = PLAN1.PLANID
		INNER JOIN ALENT_MARKETINGACTIVITY MA
		ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 146257540157300 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
		INNER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,MA.MARKETINGACTIVITYID,MA.NAME,MA.DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END AS MA_TYPE,
		MA.STATUS,MA.ACTIVITYNUMBER,MA.ACTIVITYPATH,MA.ACTIVITYLEVEL,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''MARKETING ACTIVITY CREATOR''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND A1.CONTAINERID = PLAN1.PLANID
		INNER JOIN ALENT_MARKETINGACTIVITY MA
		ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 189241561447153 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
		INNER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,MA.MARKETINGACTIVITYID,MA.NAME,MA.DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END AS MA_TYPE,
		MA.STATUS,MA.ACTIVITYNUMBER,MA.ACTIVITYPATH,MA.ACTIVITYLEVEL,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''MARKETING ACTIVITY MODIFIER''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND A1.CONTAINERID = PLAN1.PLANID
		INNER JOIN ALENT_MARKETINGACTIVITY MA
		ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 275280646134658 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
		INNER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,MA.MARKETINGACTIVITYID,MA.NAME,MA.DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END AS MA_TYPE,
		MA.STATUS,MA.ACTIVITYNUMBER,MA.ACTIVITYPATH,MA.ACTIVITYLEVEL,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''MARKETING ACTIVITY COORDINATOR''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND A1.CONTAINERID = PLAN1.PLANID
		INNER JOIN ALENT_MARKETINGACTIVITY MA
		ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 125014866628534 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
		INNER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID
		UNION ALL
		SELECT
		PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,MA.MARKETINGACTIVITYID,MA.NAME,MA.DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END AS MA_TYPE,
		MA.STATUS,MA.ACTIVITYNUMBER,MA.ACTIVITYPATH,MA.ACTIVITYLEVEL,
		U1.USERID,U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,U1.EMAILID,U1.STATUS,''MARKETING ACTIVITY BUDGET MANAGER''
		FROM
		ALENT_PLAN PLAN1 INNER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND A1.CONTAINERID = PLAN1.PLANID
		INNER JOIN ALENT_MARKETINGACTIVITY MA
		ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
		INNER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 211495524994967 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
		INNER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID ')
		
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_FORECASTVARIANCE
		(PLANID,PLAN_TITLE,FISCALYEAR,PARENT_MA_ID,MA_ID,MA_NAME,MA_TYPE,MA_STATUS,MA_LEVEL_NO,
		MA_NUMBER,MA_PATH,BUDGETED_AMT,ACTUAL1_AMT,ACTUAL2_AMT,ACTUAL3_AMT,ACTUAL4_AMT,ACTUAL5_AMT,ACTUAL6_AMT,
		ACTUAL7_AMT,ACTUAL8_AMT,ACTUAL9_AMT,ACTUAL10_AMT,ACTUAL11_AMT,ACTUAL12_AMT,ACTUAL13_AMT,
		ACTUAL14_AMT,ACTUAL15_AMT,ACTUAL16_AMT,ACTUAL17_AMT,ACTUAL18_AMT,ACTUAL19_AMT,ACTUAL20_AMT,
		ACTUAL21_AMT,ACTUAL22_AMT,ACTUAL23_AMT,ACTUAL24_AMT,ACTUAL25_AMT,FC1_AMT,FC2_AMT,FC3_AMT,
		FC4_AMT,FC5_AMT,FC6_AMT,FC7_AMT,FC8_AMT,FC9_AMT,FC10_AMT,FC11_AMT,FC12_AMT,FC13_AMT,
		FC14_AMT,FC15_AMT,FC16_AMT,FC17_AMT,FC18_AMT,FC19_AMT,FC20_AMT,FC21_AMT,FC22_AMT,FC23_AMT,
		FC24_AMT,FC25_AMT,TOTAL_ACTUAL_AMT,TOTAL_FORECAST_AMT,TOTAL_VARIANCE_AMT)
		SELECT 
		PLANID,PLAN_TITLE,FISCALYEAR,PARENT_MA_ID,MA_ID,MA_NAME,MA_TYPE,MA_STATUS,MA_LEVEL_NO,
		MA_NUMBER,MA_PATH,BUDGETED_AMT,ACTUAL1_AMT,ACTUAL2_AMT,ACTUAL3_AMT,ACTUAL4_AMT,ACTUAL5_AMT,ACTUAL6_AMT,
		ACTUAL7_AMT,ACTUAL8_AMT,ACTUAL9_AMT,ACTUAL10_AMT,ACTUAL11_AMT,ACTUAL12_AMT,ACTUAL13_AMT,
		ACTUAL14_AMT,ACTUAL15_AMT,ACTUAL16_AMT,ACTUAL17_AMT,ACTUAL18_AMT,ACTUAL19_AMT,ACTUAL20_AMT,
		ACTUAL21_AMT,ACTUAL22_AMT,ACTUAL23_AMT,ACTUAL24_AMT,ACTUAL25_AMT,FC1_AMT,FC2_AMT,FC3_AMT,
		FC4_AMT,FC5_AMT,FC6_AMT,FC7_AMT,FC8_AMT,FC9_AMT,FC10_AMT,FC11_AMT,FC12_AMT,FC13_AMT,
		FC14_AMT,FC15_AMT,FC16_AMT,FC17_AMT,FC18_AMT,FC19_AMT,FC20_AMT,FC21_AMT,FC22_AMT,FC23_AMT,
		FC24_AMT,FC25_AMT,TOTAL_ACTUAL_AMT,TOTAL_FORECAST_AMT,TOTAL_VARIANCE_AMT
		FROM  TEMP_FORECAST ')
		
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_ACTIVITY_OFFER
		(OFFERID,PLANID,PLAN_TITLE,FISCALYEAR,MA_ID,MA_NAME,
		MA_DESCRIPTION,MA_TYPE,MA_STATUS,MA_NUMBER,MA_PATH,
		MA_LEVEL_NO,OFFERNAME,OFFERDESCRIPTION,OFFERCODE,
		OFFERTYPE,OFFERVALIDFROM,OFFERVALIDUNTIL,OFFERSTATUS,
		OFFERLOCKED,OFFERMARKEDASDELETED,OFFERCREATEDON,
		OFFERMODIFIEDON,OFFERAUTOLOCK,OFFER_OWNER_LOGINNAME,
		OFFER_OWNER_FIRSTNAME,OFFER_OWNER_MIDDLEINITIAL,
		OFFER_OWNER_LASTNAME,OFFER_CREATEDBY_LOGINNAME,OFFER_CREATEDBY_FIRSTNAME,
		OFFER_CREATEDBY_MIDDLEINITIAL,OFFER_CREATEDBY_LASTNAME)
		SELECT 
		OFFER.OFFERID,PLAN1.PLANID,PLAN1.TITLE,PLAN1.FISCALYEAR,
		MA.MARKETINGACTIVITYID,MA.NAME,MA.DESCRIPTION,
		CASE WHEN CHARINDEX(''$ALP$'',MA.ACTIVITYTYPE) > 0 THEN REPLACE(MA.ACTIVITYTYPE,''$ALP$'', '+''''+@MA_TYPE_SEPARATOR+''''+') ELSE  MA.ACTIVITYTYPE END,
		MA.STATUS,MA.ACTIVITYNUMBER,MA.ACTIVITYPATH,MA.ACTIVITYLEVEL,
		OFFER.OFFERNAME,OFFER.OFFERDESCRIPTION,OFFER.OFFERCODE,OFFER.OFFERTYPE,OFFER.OFFERVALIDFROM,
		OFFER.OFFERVALIDUNTIL,OFFER.OFFERSTATUS,OFFER.OFFERLOCKED,OFFER.OFFERMARKEDASDELETED,
		OFFER.OFFERCREATEDON,OFFER.OFFERMODIFIEDON,OFFER.OFFERAUTOLOCK,
		U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,
		U2.LOGINNAME,U2.FIRSTNAME,U2.MIDDLEINITIAL,U2.LASTNAME
		FROM
		ALENT_OFFER OFFER LEFT OUTER  JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 254861774537881   AND A1.CONTAINSID = OFFER.OFFERID 
		LEFT OUTER JOIN ALENT_MARKETINGACTIVITY MA
		ON A1.CONTAINERID = MA.MARKETINGACTIVITYID
		LEFT OUTER JOIN ALOM_ASSEMBLY A4
		ON A4.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND A4.CONTAINSID = MA.MARKETINGACTIVITYID
		LEFT OUTER JOIN ALENT_PLAN PLAN1
		ON A4.CONTAINERID = PLAN1.PLANID
		LEFT OUTER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 245335608672524 AND A2.CONTAINERID = OFFER.OFFERID
		LEFT OUTER JOIN ALENT_USER U1
		ON A2.CONTAINSID = U1.USERID
		LEFT OUTER JOIN ALOM_ASSEMBLY A3
		ON A3.RELATIONSHIPTYPEID = 33057357287611 AND A3.CONTAINERID = OFFER.OFFERID
		LEFT OUTER JOIN ALENT_USER U2
		ON A3.CONTAINSID = U2.USERID ')

		
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_OFFER
		(OFFERID,OFFERNAME,OFFERDESCRIPTION,OFFERCODE,OFFERTYPE,
		OFFERVALIDFROM,OFFERVALIDUNTIL,OFFERSTATUS,OFFERLOCKED,
		OFFERMARKEDASDELETED,OFFERCREATEDON,OFFERMODIFIEDON,OFFERAUTOLOCK,
		OFFER_OWNER_LOGINNAME,OFFER_OWNER_FIRSTNAME,OFFER_OWNER_MIDDLEINITIAL,
		OFFER_OWNER_LASTNAME,OFFER_CREATEDBY_LOGINNAME,OFFER_CREATEDBY_FIRSTNAME,
		OFFER_CREATEDBY_MIDDLEINITIAL,OFFER_CREATEDBY_LASTNAME,FOLDER_NAME,
		FOLDER_PATH)
		SELECT
		OFFER.OFFERID,
		OFFER.OFFERNAME,OFFER.OFFERDESCRIPTION,OFFER.OFFERCODE,OFFER.OFFERTYPE,OFFER.OFFERVALIDFROM,
		OFFER.OFFERVALIDUNTIL,OFFER.OFFERSTATUS,OFFER.OFFERLOCKED,OFFER.OFFERMARKEDASDELETED,
		OFFER.OFFERCREATEDON,OFFER.OFFERMODIFIEDON,OFFER.OFFERAUTOLOCK,
		U1.LOGINNAME,U1.FIRSTNAME,U1.MIDDLEINITIAL,U1.LASTNAME,
		U2.LOGINNAME,U2.FIRSTNAME,U2.MIDDLEINITIAL,U2.LASTNAME,
		FOL.FOLDERNAME,FOL.FOLDERPATH
		FROM
		ALENT_OFFER OFFER LEFT OUTER  JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 245335608672524 AND A1.CONTAINERID = OFFER.OFFERID
		LEFT OUTER JOIN ALENT_USER U1
		ON A1.CONTAINSID = U1.USERID
		LEFT OUTER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 33057357287611 AND A2.CONTAINERID = OFFER.OFFERID
		LEFT OUTER JOIN ALENT_USER U2
		ON A2.CONTAINSID = U2.USERID
		LEFT OUTER JOIN ALOM_ASSEMBLY A3
		ON A3.RELATIONSHIPTYPEID = 182300002955180 AND A3.CONTAINSID = OFFER.OFFERID
		LEFT OUTER JOIN ALENT_FOLDER FOL
		ON A3.CONTAINERID = FOL.FOLDERID ')
		

	
go

